-- ----------------- FILE: UPDATE02.SQL -------------------
-- -                                                      - 
-- -          Validates UPDATE statement	          -
-- -                                                      -
-- --------------------------------------------------------
--

-- --------------------------------------------------------
-- This set of test cases validates more complex updates.
-- This test tests the type conversion
-- It tries also to validate some overflow or underflow cases
-- --------------------------------------------------------
-- --------------------------------------------------------
-- Delete tables
-- --------------------------------------------------------
DROP TABLE tN;
DROP TABLE tS;
DROP TABLE tA;

-- --------------------------------------------------------
-- INITIALIZE THE TABLES
-- --------------------------------------------------------
CREATE TABLE tN (c1 INT, c2 DECIMAL(15,0), c3 DECIMAL(3,2), c4 DECIMAL(15,14), c5 SMALLINT);
CREATE TABLE tS (c1 VARCHAR(1), C2 VARCHAR(7), C3 VARCHAR(1000), C4 CHAR(1), C5 CHAR(4), C6 CHAR(254), C7 DATE, C8 TIME);
CREATE TABLE tA (c1 SMALLINT, c2 INT, c3 DECIMAL(15,0), c4 DECIMAL(3,2), c5 DECIMAL(15,14), c6 VARCHAR(1), C7 VARCHAR(7), C8 VARCHAR(1000), C9  CHAR(1), C10 CHAR(4), C11 CHAR(254), C12 DATE, C13 TIME); 


INSERT INTO tN VALUES (-2147483647, -123456789012345., -9.99, -9.99999999999999, -32767);
INSERT INTO tN VALUES (0, 0., 0, 0.0, 0);
INSERT INTO tN VALUES (+2147483647, +123456789012345., +9.99, +9.99999999999999, +32767);

INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


-- ********************************************************* 
-- 5BASIC0001-5BASIC0025
-- ********************************************************* 
-- TEST:5BASIC0001-5BASIC0025 UPDATE tN SET one column = OTHER COLUMN
-- PASS:5BASIC0001-5BASIC0025 EXPECTED FAILURE OCCURES                       

UPDATE tN SET c1 = c1;
UPDATE tN SET c1 = c2;
UPDATE tN SET c1 = c3;
UPDATE tN SET c1 = c4;
UPDATE tN SET c1 = c5;
	SELECT c1 FROM tN ORDER BY c1;

DELETE FROM tN;
INSERT INTO tN VALUES (-2147483647, -123456789012345., -9.99, -9.99999999999999, -32767);
INSERT INTO tN VALUES (0, 0., 0, 0.0, 0);
INSERT INTO tN VALUES (+2147483647, +123456789012345., +9.99, +9.99999999999999, +32767);

UPDATE tN SET c2 = c1;
UPDATE tN SET c2 = c2;
UPDATE tN SET c2 = c3;
UPDATE tN SET c2 = c4;
UPDATE tN SET c2 = c5;
	SELECT c2 FROM tN ORDER BY c1;

DELETE FROM tN;
INSERT INTO tN VALUES (-2147483647, -123456789012345., -9.99, -9.99999999999999, -32767);
INSERT INTO tN VALUES (0, 0., 0, 0.0, 0);
INSERT INTO tN VALUES (+2147483647, +123456789012345., +9.99, +9.99999999999999, +32767);

UPDATE tN SET c3 = c1;
UPDATE tN SET c3 = c2;
UPDATE tN SET c3 = c3;
UPDATE tN SET c3 = c4;
UPDATE tN SET c3 = c5;
	SELECT c3 FROM tN ORDER BY c1;

DELETE FROM tN;
INSERT INTO tN VALUES (-2147483647, -123456789012345., -9.99, -9.99999999999999, -32767);
INSERT INTO tN VALUES (0, 0., 0, 0.0, 0);
INSERT INTO tN VALUES (+2147483647, +123456789012345., +9.99, +9.99999999999999, +32767);

UPDATE tN SET c4 = c1;
UPDATE tN SET c4 = c2;
UPDATE tN SET c4 = c3;
UPDATE tN SET c4 = c4;
UPDATE tN SET c4 = c5;
	SELECT c4 FROM tN ORDER BY c1;

DELETE FROM tN;
INSERT INTO tN VALUES (-2147483647, -123456789012345., -9.99, -9.99999999999999, -32767);
INSERT INTO tN VALUES (0, 0., 0, 0.0, 0);
INSERT INTO tN VALUES (+2147483647, +123456789012345., +9.99, +9.99999999999999, +32767);

UPDATE tN SET c5 = c1;
UPDATE tN SET c5 = c2;
UPDATE tN SET c5 = c3;
UPDATE tN SET c5 = c4;
UPDATE tN SET c5 = c5;
	SELECT c5 FROM tN ORDER BY c1;

-- --------------------------------------------------------------------------------------
-- --------------------------------------------------------------------------------------
-- TEST:5BASIC0026-5BASIC0099 UPDATE tS SET one column = OTHER COLUMN
-- PASS:5BASIC0026-5BASIC0099 EXPECTED FAILURE OCCURES                       
-- --------------------------------------------------------------------------------------
-- --------------------------------------------------------------------------------------

UPDATE tS SET c1 = c1;
UPDATE tS SET c1 = c2;
UPDATE tS SET c1 = c3;
UPDATE tS SET c1 = c4;
UPDATE tS SET c1 = c5;
UPDATE tS SET c1 = c6;
UPDATE tS SET c1 = c7;
UPDATE tS SET c1 = c8;
 	SELECT c1 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c2 = c1;
UPDATE tS SET c2 = c2;
UPDATE tS SET c2 = c3;
UPDATE tS SET c2 = c4;
UPDATE tS SET c2 = c5;
UPDATE tS SET c2 = c6;
UPDATE tS SET c2 = c7;
UPDATE tS SET c2 = c8;
 	SELECT c2 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c3 = c1;
UPDATE tS SET c3 = c2;
UPDATE tS SET c3 = c3;
UPDATE tS SET c3 = c4;
UPDATE tS SET c3 = c5;
UPDATE tS SET c3 = c6;
UPDATE tS SET c3 = c7;
UPDATE tS SET c3 = c8;
 	SELECT c3 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c4 = c1;
UPDATE tS SET c4 = c2;
UPDATE tS SET c4 = c3;
UPDATE tS SET c4 = c4;
UPDATE tS SET c4 = c5;
UPDATE tS SET c4 = c6;
UPDATE tS SET c4 = c7;
UPDATE tS SET c4 = c8;
 	SELECT c4 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c5 = c1;
UPDATE tS SET c5 = c2;
UPDATE tS SET c5 = c3;
UPDATE tS SET c5 = c4;
UPDATE tS SET c5 = c5;
UPDATE tS SET c5 = c6;
UPDATE tS SET c5 = c7;
UPDATE tS SET c5 = c8;
	SELECT c5 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c6 = c1;
UPDATE tS SET c6 = c2;
UPDATE tS SET c6 = c3;
UPDATE tS SET c6 = c4;
UPDATE tS SET c6 = c5;
UPDATE tS SET c6 = c6;
UPDATE tS SET c6 = c7;
UPDATE tS SET c6 = c8;
 	SELECT c6 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c7 = c1;
UPDATE tS SET c7 = c2;
UPDATE tS SET c7 = c3;
UPDATE tS SET c7 = c4;
UPDATE tS SET c7 = c5;
UPDATE tS SET c7 = c6;
UPDATE tS SET c7 = c7;
UPDATE tS SET c7 = c8;
	SELECT c7 FROM tS ORDER BY c1;

DELETE FROM tS;
INSERT INTO tS VALUES ('A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tS VALUES ('', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tS VALUES ('', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

UPDATE tS SET c8 = c1;
UPDATE tS SET c8 = c2;
UPDATE tS SET c8 = c3;
UPDATE tS SET c8 = c4;
UPDATE tS SET c8 = c5;
UPDATE tS SET c8 = c6;
UPDATE tS SET c8 = c7;
UPDATE tS SET c8 = c8;
	SELECT c8 FROM tS ORDER BY c1;


-- END TEST >>> 5BASIC0001-5BASIC0030 <<< END TEST

-- --------------------------------------------------------------------------------------
-- --------------------------------------------------------------------------------------
-- TEST:5BASIC0100-5BASIC0296 UPDATE tS SET one column = OTHER COLUMN
-- PASS:5BASIC0100-5BASIC0296 EXPECTED FAILURE OCCURES                       
-- --------------------------------------------------------------------------------------
-- --------------------------------------------------------------------------------------

UPDATE tA SET c1 = c1;
UPDATE tA SET c1 = c2;
UPDATE tA SET c1 = c3;
UPDATE tA SET c1 = c4;
UPDATE tA SET c1 = c5;
UPDATE tA SET c1 = c6;
UPDATE tA SET c1 = c7;
UPDATE tA SET c1 = c8;
UPDATE tA SET c1 = c9;
UPDATE tA SET c1 = c11;
UPDATE tA SET c1 = c12;
UPDATE tA SET c1 = c13;
UPDATE tA SET c1 = c14;
	SELECT c1 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c2 = c1;
UPDATE tA SET c2 = c2;
UPDATE tA SET c2 = c3;
UPDATE tA SET c2 = c4;
UPDATE tA SET c2 = c5;
UPDATE tA SET c2 = c6;
UPDATE tA SET c2 = c7;
UPDATE tA SET c2 = c8;
UPDATE tA SET c2 = c9;
UPDATE tA SET c2 = c11;
UPDATE tA SET c2 = c12;
UPDATE tA SET c2 = c13;
UPDATE tA SET c2 = c14;
	SELECT c2 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c3 = c1;
UPDATE tA SET c3 = c2;
UPDATE tA SET c3 = c3;
UPDATE tA SET c3 = c4;
UPDATE tA SET c3 = c5;
UPDATE tA SET c3 = c6;
UPDATE tA SET c3 = c7;
UPDATE tA SET c3 = c8;
UPDATE tA SET c3 = c9;
UPDATE tA SET c3 = c11;
UPDATE tA SET c3 = c12;
UPDATE tA SET c3 = c13;
UPDATE tA SET c3 = c14;
	SELECT c3 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c4 = c1;
UPDATE tA SET c4 = c2;
UPDATE tA SET c4 = c3;
UPDATE tA SET c4 = c4;
UPDATE tA SET c4 = c5;
UPDATE tA SET c4 = c6;
UPDATE tA SET c4 = c7;
UPDATE tA SET c4 = c8;
UPDATE tA SET c4 = c9;
UPDATE tA SET c4 = c11;
UPDATE tA SET c4 = c12;
UPDATE tA SET c4 = c13;
UPDATE tA SET c4 = c14;
	SELECT c4 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c5 = c1;
UPDATE tA SET c5 = c2;
UPDATE tA SET c5 = c3;
UPDATE tA SET c5 = c4;
UPDATE tA SET c5 = c5;
UPDATE tA SET c5 = c6;
UPDATE tA SET c5 = c7;
UPDATE tA SET c5 = c8;
UPDATE tA SET c5 = c9;
UPDATE tA SET c5 = c11;
UPDATE tA SET c5 = c12;
UPDATE tA SET c5 = c13;
UPDATE tA SET c5 = c14;
	SELECT c5 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c6 = c1;
UPDATE tA SET c6 = c2;
UPDATE tA SET c6 = c3;
UPDATE tA SET c6 = c4;
UPDATE tA SET c6 = c5;
UPDATE tA SET c6 = c6;
UPDATE tA SET c6 = c7;
UPDATE tA SET c6 = c8;
UPDATE tA SET c6 = c9;
UPDATE tA SET c6 = c11;
UPDATE tA SET c6 = c12;
UPDATE tA SET c6 = c13;
UPDATE tA SET c6 = c14;
	SELECT c6 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c7 = c1;
UPDATE tA SET c7 = c2;
UPDATE tA SET c7 = c3;
UPDATE tA SET c7 = c4;
UPDATE tA SET c7 = c5;
UPDATE tA SET c7 = c6;
UPDATE tA SET c7 = c7;
UPDATE tA SET c7 = c8;
UPDATE tA SET c7 = c9;
UPDATE tA SET c7 = c11;
UPDATE tA SET c7 = c12;
UPDATE tA SET c7 = c13;
UPDATE tA SET c7 = c14;
	SELECT c7 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c8 = c1;
UPDATE tA SET c8 = c2;
UPDATE tA SET c8 = c3;
UPDATE tA SET c8 = c4;
UPDATE tA SET c8 = c5;
UPDATE tA SET c8 = c6;
UPDATE tA SET c8 = c7;
UPDATE tA SET c8 = c8;
UPDATE tA SET c8 = c9;
UPDATE tA SET c8 = c11;
UPDATE tA SET c8 = c12;
UPDATE tA SET c8 = c13;
UPDATE tA SET c8 = c14;
	SELECT c8 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c9 = c1;
UPDATE tA SET c9 = c2;
UPDATE tA SET c9 = c3;
UPDATE tA SET c9 = c4;
UPDATE tA SET c9 = c5;
UPDATE tA SET c9 = c6;
UPDATE tA SET c9 = c7;
UPDATE tA SET c9 = c8;
UPDATE tA SET c9 = c9;
UPDATE tA SET c9 = c11;
UPDATE tA SET c9 = c12;
UPDATE tA SET c9 = c13;
UPDATE tA SET c9 = c14;
	SELECT c9 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c10 = c1;
UPDATE tA SET c10 = c2;
UPDATE tA SET c10 = c3;
UPDATE tA SET c10 = c4;
UPDATE tA SET c10 = c5;
UPDATE tA SET c10 = c6;
UPDATE tA SET c10 = c7;
UPDATE tA SET c10 = c8;
UPDATE tA SET c10 = c9;
UPDATE tA SET c10 = c11;
UPDATE tA SET c10 = c12;
UPDATE tA SET c10 = c13;
UPDATE tA SET c10 = c14;
	SELECT c10 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c11 = c1;
UPDATE tA SET c11 = c2;
UPDATE tA SET c11 = c3;
UPDATE tA SET c11 = c4;
UPDATE tA SET c11 = c5;
UPDATE tA SET c11 = c6;
UPDATE tA SET c11 = c7;
UPDATE tA SET c11 = c8;
UPDATE tA SET c11 = c9;
UPDATE tA SET c11 = c11;
UPDATE tA SET c11 = c12;
UPDATE tA SET c11 = c13;
UPDATE tA SET c11 = c14;
	SELECT c11 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c12 = c1;
UPDATE tA SET c12 = c2;
UPDATE tA SET c12 = c3;
UPDATE tA SET c12 = c4;
UPDATE tA SET c12 = c5;
UPDATE tA SET c12 = c6;
UPDATE tA SET c12 = c7;
UPDATE tA SET c12 = c8;
UPDATE tA SET c12 = c9;
UPDATE tA SET c12 = c11;
UPDATE tA SET c12 = c12;
UPDATE tA SET c12 = c13;
UPDATE tA SET c12 = c14;
	SELECT c12 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c13 = c1;
UPDATE tA SET c13 = c2;
UPDATE tA SET c13 = c3;
UPDATE tA SET c13 = c4;
UPDATE tA SET c13 = c5;
UPDATE tA SET c13 = c6;
UPDATE tA SET c13 = c7;
UPDATE tA SET c13 = c8;
UPDATE tA SET c13 = c9;
UPDATE tA SET c13 = c11;
UPDATE tA SET c13 = c12;
UPDATE tA SET c13 = c13;
UPDATE tA SET c13 = c14;
	SELECT c13 FROM tA ORDER BY c1;

DELETE FROM tA;
INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');


UPDATE tA SET c14 = c1;
UPDATE tA SET c14 = c2;
UPDATE tA SET c14 = c3;
UPDATE tA SET c14 = c4;
UPDATE tA SET c14 = c5;
UPDATE tA SET c14 = c6;
UPDATE tA SET c14 = c7;
UPDATE tA SET c14 = c8;
UPDATE tA SET c14 = c9;
UPDATE tA SET c14 = c11;
UPDATE tA SET c14 = c12;
UPDATE tA SET c14 = c13;
UPDATE tA SET c14 = c14;
	SELECT c14 FROM tA ORDER BY c1;


-- END TEST >>> 5BASIC0100-5BASIC0296 <<< END TEST


