-- ----------------- FILE: UPDATE04.SQL -------------------
-- -                                                      - 
-- -          Validates UPDATE statement	          -
-- -                                                      -
-- --------------------------------------------------------
--

-- --------------------------------------------------------
-- This set of test cases validates more complex updates.
-- This test tests the where clause
-- It tries also to validate some overflow or underflow cases
-- --------------------------------------------------------
-- --------------------------------------------------------
-- Delete tables
-- --------------------------------------------------------
DROP TABLE tA;

-- --------------------------------------------------------
-- INITIALIZE THE TABLES
-- --------------------------------------------------------
CREATE TABLE tA (c1 SMALLINT, c2 INT, c3 DECIMAL(15,0), c4 DECIMAL(3,2), c5 DECIMAL(15,14), c6 VARCHAR(1), C7 VARCHAR(7), C8 VARCHAR(1000), C9  CHAR(1), C10 CHAR(4), C11 CHAR(254), C12 DATE, C13 TIME); 

INSERT INTO tA VALUES (-32767, -2147483647, -123456789012345., -9.99, -9.99999999999999, 'A', 'AAAAAAA', 'ABCDEFGHIJKLMNOPQRSTUVWZYZ', 'F', 'ASDF', 'SADFASDGASGWERTWQETDSF32WQE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');
INSERT INTO tA VALUES (0, 0, 0., 0, 0.0, '', '', '', '', '', '', '01.01.0100', '00:00:00');
INSERT INTO tA VALUES (32767, +2147483647, +123456789012345., +9.99, +9.99999999999999, '', 'AAAA', 'ABCDEFGHIJKLMNWZYZ', '', 'AS', 'SADFASDGASGEE345ERTGR2325SEFQWER25SGFAXDFASFR', '01.12.1999', '12:12:12');

	SELECT c1 FROM tA ORDER BY c1;

-- ********************************************************* 
-- 5BASIC0001-5BASIC0025
-- ********************************************************* 
-- TEST:5BASIC0001-5BASIC0025 UPDATE tN SET one column = OTHER COLUMN
-- PASS:5BASIC0001-5BASIC0025 EXPECTED FAILURE OCCURES                       


UPDATE tA SET c1 = 1 WHERE c1 = c1;
UPDATE tA SET c1 = 1 WHERE c1 <> c1;
UPDATE tA SET c1 = 1 WHERE c1 < c1;
UPDATE tA SET c1 = 1 WHERE c1 > c1;
UPDATE tA SET c1 = 1 WHERE c1 <= c1;
UPDATE tA SET c1 = 1 WHERE c1 >= c1;
UPDATE tA SET c1 = 1 WHERE c1 IS NULL;
UPDATE tA SET c1 = 1 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 2 WHERE c1 = c2;
UPDATE tA SET c1 = 2 WHERE c1 <> c2;
UPDATE tA SET c1 = 2 WHERE c1 < c2;
UPDATE tA SET c1 = 2 WHERE c1 > c2;
UPDATE tA SET c1 = 2 WHERE c1 <= c2;
UPDATE tA SET c1 = 2 WHERE c1 >= c2;
UPDATE tA SET c1 = 2 WHERE c1 IS NULL;
UPDATE tA SET c1 = 2 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 3 WHERE c1 = c3;
UPDATE tA SET c1 = 3 WHERE c1 <> c3;
UPDATE tA SET c1 = 3 WHERE c1 < c3;
UPDATE tA SET c1 = 3 WHERE c1 > c3;
UPDATE tA SET c1 = 3 WHERE c1 <= c3;
UPDATE tA SET c1 = 3 WHERE c1 >= c3;
UPDATE tA SET c1 = 3 WHERE c1 IS NULL;
UPDATE tA SET c1 = 3 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 4 WHERE c1 = c4;
UPDATE tA SET c1 = 4 WHERE c1 <> c4;
UPDATE tA SET c1 = 4 WHERE c1 < c4;
UPDATE tA SET c1 = 4 WHERE c1 > c4;
UPDATE tA SET c1 = 4 WHERE c1 <= c4;
UPDATE tA SET c1 = 4 WHERE c1 >= c4;
UPDATE tA SET c1 = 4 WHERE c1 IS NULL;
UPDATE tA SET c1 = 4 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 5 WHERE c1 = c5;
UPDATE tA SET c1 = 5 WHERE c1 <> c5;
UPDATE tA SET c1 = 5 WHERE c1 < c5;
UPDATE tA SET c1 = 5 WHERE c1 > c5;
UPDATE tA SET c1 = 5 WHERE c1 <= c5;
UPDATE tA SET c1 = 5 WHERE c1 >= c5;
UPDATE tA SET c1 = 5 WHERE c1 IS NULL;
UPDATE tA SET c1 = 5 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 6 WHERE c1 = c6;
UPDATE tA SET c1 = 6 WHERE c1 <> c6;
UPDATE tA SET c1 = 6 WHERE c1 < c6;
UPDATE tA SET c1 = 6 WHERE c1 > c6;
UPDATE tA SET c1 = 6 WHERE c1 <= c6;
UPDATE tA SET c1 = 6 WHERE c1 >= c6;
UPDATE tA SET c1 = 6 WHERE c1 IS NULL;
UPDATE tA SET c1 = 6 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 7 WHERE c1 = c7;
UPDATE tA SET c1 = 7 WHERE c1 <> c7;
UPDATE tA SET c1 = 7 WHERE c1 < c7;
UPDATE tA SET c1 = 7 WHERE c1 > c7;
UPDATE tA SET c1 = 7 WHERE c1 <= c7;
UPDATE tA SET c1 = 7 WHERE c1 >= c7;
UPDATE tA SET c1 = 7 WHERE c1 IS NULL;
UPDATE tA SET c1 = 7 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 8 WHERE c1 = c8;
UPDATE tA SET c1 = 8 WHERE c1 <> c8;
UPDATE tA SET c1 = 8 WHERE c1 < c8;
UPDATE tA SET c1 = 8 WHERE c1 > c8;
UPDATE tA SET c1 = 8 WHERE c1 <= c8;
UPDATE tA SET c1 = 8 WHERE c1 >= c8;
UPDATE tA SET c1 = 8 WHERE c1 IS NULL;
UPDATE tA SET c1 = 8 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 9 WHERE c1 = c9;
UPDATE tA SET c1 = 9 WHERE c1 <> c9;
UPDATE tA SET c1 = 9 WHERE c1 < c9;
UPDATE tA SET c1 = 9 WHERE c1 > c9;
UPDATE tA SET c1 = 9 WHERE c1 <= c9;
UPDATE tA SET c1 = 9 WHERE c1 >= c9;
UPDATE tA SET c1 = 9 WHERE c1 IS NULL;
UPDATE tA SET c1 = 9 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 10 WHERE c1 = c10;
UPDATE tA SET c1 = 10 WHERE c1 <> c10;
UPDATE tA SET c1 = 10 WHERE c1 < c10;
UPDATE tA SET c1 = 10 WHERE c1 > c10;
UPDATE tA SET c1 = 10 WHERE c1 <= c10;
UPDATE tA SET c1 = 10 WHERE c1 >= c10;
UPDATE tA SET c1 = 10 WHERE c1 IS NULL;
UPDATE tA SET c1 = 10 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 11 WHERE c1 = c11;
UPDATE tA SET c1 = 11 WHERE c1 <> c11;
UPDATE tA SET c1 = 11 WHERE c1 < c11;
UPDATE tA SET c1 = 11 WHERE c1 > c11;
UPDATE tA SET c1 = 11 WHERE c1 <= c11;
UPDATE tA SET c1 = 11 WHERE c1 >= c11;
UPDATE tA SET c1 = 11 WHERE c1 IS NULL;
UPDATE tA SET c1 = 11 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 12 WHERE c1 = c12;
UPDATE tA SET c1 = 12 WHERE c1 <> c12;
UPDATE tA SET c1 = 12 WHERE c1 < c12;
UPDATE tA SET c1 = 12 WHERE c1 > c12;
UPDATE tA SET c1 = 12 WHERE c1 <= c12;
UPDATE tA SET c1 = 12 WHERE c1 >= c12;
UPDATE tA SET c1 = 12 WHERE c1 IS NULL;
UPDATE tA SET c1 = 12 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;

UPDATE tA SET c1 = 13 WHERE c1 = c13;
UPDATE tA SET c1 = 13 WHERE c1 <> c13;
UPDATE tA SET c1 = 13 WHERE c1 < c13;
UPDATE tA SET c1 = 13 WHERE c1 > c13;
UPDATE tA SET c1 = 13 WHERE c1 <= c13;
UPDATE tA SET c1 = 13 WHERE c1 >= c13;
UPDATE tA SET c1 = 13 WHERE c1 IS NULL;
UPDATE tA SET c1 = 13 WHERE c1 IS NOT NULL;
	SELECT c1 FROM tA ORDER BY c1;



UPDATE tA SET c2 = 1 WHERE c2 = c1;
UPDATE tA SET c2 = 1 WHERE c2 <> c1;
UPDATE tA SET c2 = 1 WHERE c2 < c1;
UPDATE tA SET c2 = 1 WHERE c2 > c1;
UPDATE tA SET c2 = 1 WHERE c2 <= c1;
UPDATE tA SET c2 = 1 WHERE c2 >= c1;
UPDATE tA SET c2 = 1 WHERE c2 IS NULL;
UPDATE tA SET c2 = 1 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 2 WHERE c2 = c2;
UPDATE tA SET c2 = 2 WHERE c2 <> c2;
UPDATE tA SET c2 = 2 WHERE c2 < c2;
UPDATE tA SET c2 = 2 WHERE c2 > c2;
UPDATE tA SET c2 = 2 WHERE c2 <= c2;
UPDATE tA SET c2 = 2 WHERE c2 >= c2;
UPDATE tA SET c2 = 2 WHERE c2 IS NULL;
UPDATE tA SET c2 = 2 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 3 WHERE c2 = c3;
UPDATE tA SET c2 = 3 WHERE c2 <> c3;
UPDATE tA SET c2 = 3 WHERE c2 < c3;
UPDATE tA SET c2 = 3 WHERE c2 > c3;
UPDATE tA SET c2 = 3 WHERE c2 <= c3;
UPDATE tA SET c2 = 3 WHERE c2 >= c3;
UPDATE tA SET c2 = 3 WHERE c2 IS NULL;
UPDATE tA SET c2 = 3 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 4 WHERE c2 = c4;
UPDATE tA SET c2 = 4 WHERE c2 <> c4;
UPDATE tA SET c2 = 4 WHERE c2 < c4;
UPDATE tA SET c2 = 4 WHERE c2 > c4;
UPDATE tA SET c2 = 4 WHERE c2 <= c4;
UPDATE tA SET c2 = 4 WHERE c2 >= c4;
UPDATE tA SET c2 = 4 WHERE c2 IS NULL;
UPDATE tA SET c2 = 4 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 5 WHERE c2 = c5;
UPDATE tA SET c2 = 5 WHERE c2 <> c5;
UPDATE tA SET c2 = 5 WHERE c2 < c5;
UPDATE tA SET c2 = 5 WHERE c2 > c5;
UPDATE tA SET c2 = 5 WHERE c2 <= c5;
UPDATE tA SET c2 = 5 WHERE c2 >= c5;
UPDATE tA SET c2 = 5 WHERE c2 IS NULL;
UPDATE tA SET c2 = 5 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 6 WHERE c2 = c6;
UPDATE tA SET c2 = 6 WHERE c2 <> c6;
UPDATE tA SET c2 = 6 WHERE c2 < c6;
UPDATE tA SET c2 = 6 WHERE c2 > c6;
UPDATE tA SET c2 = 6 WHERE c2 <= c6;
UPDATE tA SET c2 = 6 WHERE c2 >= c6;
UPDATE tA SET c2 = 6 WHERE c2 IS NULL;
UPDATE tA SET c2 = 6 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 7 WHERE c2 = c7;
UPDATE tA SET c2 = 7 WHERE c2 <> c7;
UPDATE tA SET c2 = 7 WHERE c2 < c7;
UPDATE tA SET c2 = 7 WHERE c2 > c7;
UPDATE tA SET c2 = 7 WHERE c2 <= c7;
UPDATE tA SET c2 = 7 WHERE c2 >= c7;
UPDATE tA SET c2 = 7 WHERE c2 IS NULL;
UPDATE tA SET c2 = 7 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 8 WHERE c2 = c8;
UPDATE tA SET c2 = 8 WHERE c2 <> c8;
UPDATE tA SET c2 = 8 WHERE c2 < c8;
UPDATE tA SET c2 = 8 WHERE c2 > c8;
UPDATE tA SET c2 = 8 WHERE c2 <= c8;
UPDATE tA SET c2 = 8 WHERE c2 >= c8;
UPDATE tA SET c2 = 8 WHERE c2 IS NULL;
UPDATE tA SET c2 = 8 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 9 WHERE c2 = c9;
UPDATE tA SET c2 = 9 WHERE c2 <> c9;
UPDATE tA SET c2 = 9 WHERE c2 < c9;
UPDATE tA SET c2 = 9 WHERE c2 > c9;
UPDATE tA SET c2 = 9 WHERE c2 <= c9;
UPDATE tA SET c2 = 9 WHERE c2 >= c9;
UPDATE tA SET c2 = 9 WHERE c2 IS NULL;
UPDATE tA SET c2 = 9 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 10 WHERE c2 = c10;
UPDATE tA SET c2 = 10 WHERE c2 <> c10;
UPDATE tA SET c2 = 10 WHERE c2 < c10;
UPDATE tA SET c2 = 10 WHERE c2 > c10;
UPDATE tA SET c2 = 10 WHERE c2 <= c10;
UPDATE tA SET c2 = 10 WHERE c2 >= c10;
UPDATE tA SET c2 = 10 WHERE c2 IS NULL;
UPDATE tA SET c2 = 10 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 11 WHERE c2 = c11;
UPDATE tA SET c2 = 11 WHERE c2 <> c11;
UPDATE tA SET c2 = 11 WHERE c2 < c11;
UPDATE tA SET c2 = 11 WHERE c2 > c11;
UPDATE tA SET c2 = 11 WHERE c2 <= c11;
UPDATE tA SET c2 = 11 WHERE c2 >= c11;
UPDATE tA SET c2 = 11 WHERE c2 IS NULL;
UPDATE tA SET c2 = 11 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 12 WHERE c2 = c12;
UPDATE tA SET c2 = 12 WHERE c2 <> c12;
UPDATE tA SET c2 = 12 WHERE c2 < c12;
UPDATE tA SET c2 = 12 WHERE c2 > c12;
UPDATE tA SET c2 = 12 WHERE c2 <= c12;
UPDATE tA SET c2 = 12 WHERE c2 >= c12;
UPDATE tA SET c2 = 12 WHERE c2 IS NULL;
UPDATE tA SET c2 = 12 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;

UPDATE tA SET c2 = 13 WHERE c2 = c13;
UPDATE tA SET c2 = 13 WHERE c2 <> c13;
UPDATE tA SET c2 = 13 WHERE c2 < c13;
UPDATE tA SET c2 = 13 WHERE c2 > c13;
UPDATE tA SET c2 = 13 WHERE c2 <= c13;
UPDATE tA SET c2 = 13 WHERE c2 >= c13;
UPDATE tA SET c2 = 13 WHERE c2 IS NULL;
UPDATE tA SET c2 = 13 WHERE c2 IS NOT NULL;
	SELECT c2 FROM tA ORDER BY c2;



UPDATE tA SET c3 = 1 WHERE c3 = c1;
UPDATE tA SET c3 = 1 WHERE c3 <> c1;
UPDATE tA SET c3 = 1 WHERE c3 < c1;
UPDATE tA SET c3 = 1 WHERE c3 > c1;
UPDATE tA SET c3 = 1 WHERE c3 <= c1;
UPDATE tA SET c3 = 1 WHERE c3 >= c1;
UPDATE tA SET c3 = 1 WHERE c3 IS NULL;
UPDATE tA SET c3 = 1 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 2 WHERE c3 = c2;
UPDATE tA SET c3 = 2 WHERE c3 <> c2;
UPDATE tA SET c3 = 2 WHERE c3 < c2;
UPDATE tA SET c3 = 2 WHERE c3 > c2;
UPDATE tA SET c3 = 2 WHERE c3 <= c2;
UPDATE tA SET c3 = 2 WHERE c3 >= c2;
UPDATE tA SET c3 = 2 WHERE c3 IS NULL;
UPDATE tA SET c3 = 2 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 3 WHERE c3 = c3;
UPDATE tA SET c3 = 3 WHERE c3 <> c3;
UPDATE tA SET c3 = 3 WHERE c3 < c3;
UPDATE tA SET c3 = 3 WHERE c3 > c3;
UPDATE tA SET c3 = 3 WHERE c3 <= c3;
UPDATE tA SET c3 = 3 WHERE c3 >= c3;
UPDATE tA SET c3 = 3 WHERE c3 IS NULL;
UPDATE tA SET c3 = 3 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 4 WHERE c3 = c4;
UPDATE tA SET c3 = 4 WHERE c3 <> c4;
UPDATE tA SET c3 = 4 WHERE c3 < c4;
UPDATE tA SET c3 = 4 WHERE c3 > c4;
UPDATE tA SET c3 = 4 WHERE c3 <= c4;
UPDATE tA SET c3 = 4 WHERE c3 >= c4;
UPDATE tA SET c3 = 4 WHERE c3 IS NULL;
UPDATE tA SET c3 = 4 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 5 WHERE c3 = c5;
UPDATE tA SET c3 = 5 WHERE c3 <> c5;
UPDATE tA SET c3 = 5 WHERE c3 < c5;
UPDATE tA SET c3 = 5 WHERE c3 > c5;
UPDATE tA SET c3 = 5 WHERE c3 <= c5;
UPDATE tA SET c3 = 5 WHERE c3 >= c5;
UPDATE tA SET c3 = 5 WHERE c3 IS NULL;
UPDATE tA SET c3 = 5 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 6 WHERE c3 = c6;
UPDATE tA SET c3 = 6 WHERE c3 <> c6;
UPDATE tA SET c3 = 6 WHERE c3 < c6;
UPDATE tA SET c3 = 6 WHERE c3 > c6;
UPDATE tA SET c3 = 6 WHERE c3 <= c6;
UPDATE tA SET c3 = 6 WHERE c3 >= c6;
UPDATE tA SET c3 = 6 WHERE c3 IS NULL;
UPDATE tA SET c3 = 6 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 7 WHERE c3 = c7;
UPDATE tA SET c3 = 7 WHERE c3 <> c7;
UPDATE tA SET c3 = 7 WHERE c3 < c7;
UPDATE tA SET c3 = 7 WHERE c3 > c7;
UPDATE tA SET c3 = 7 WHERE c3 <= c7;
UPDATE tA SET c3 = 7 WHERE c3 >= c7;
UPDATE tA SET c3 = 7 WHERE c3 IS NULL;
UPDATE tA SET c3 = 7 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 8 WHERE c3 = c8;
UPDATE tA SET c3 = 8 WHERE c3 <> c8;
UPDATE tA SET c3 = 8 WHERE c3 < c8;
UPDATE tA SET c3 = 8 WHERE c3 > c8;
UPDATE tA SET c3 = 8 WHERE c3 <= c8;
UPDATE tA SET c3 = 8 WHERE c3 >= c8;
UPDATE tA SET c3 = 8 WHERE c3 IS NULL;
UPDATE tA SET c3 = 8 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 9 WHERE c3 = c9;
UPDATE tA SET c3 = 9 WHERE c3 <> c9;
UPDATE tA SET c3 = 9 WHERE c3 < c9;
UPDATE tA SET c3 = 9 WHERE c3 > c9;
UPDATE tA SET c3 = 9 WHERE c3 <= c9;
UPDATE tA SET c3 = 9 WHERE c3 >= c9;
UPDATE tA SET c3 = 9 WHERE c3 IS NULL;
UPDATE tA SET c3 = 9 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 10 WHERE c3 = c10;
UPDATE tA SET c3 = 10 WHERE c3 <> c10;
UPDATE tA SET c3 = 10 WHERE c3 < c10;
UPDATE tA SET c3 = 10 WHERE c3 > c10;
UPDATE tA SET c3 = 10 WHERE c3 <= c10;
UPDATE tA SET c3 = 10 WHERE c3 >= c10;
UPDATE tA SET c3 = 10 WHERE c3 IS NULL;
UPDATE tA SET c3 = 10 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 11 WHERE c3 = c11;
UPDATE tA SET c3 = 11 WHERE c3 <> c11;
UPDATE tA SET c3 = 11 WHERE c3 < c11;
UPDATE tA SET c3 = 11 WHERE c3 > c11;
UPDATE tA SET c3 = 11 WHERE c3 <= c11;
UPDATE tA SET c3 = 11 WHERE c3 >= c11;
UPDATE tA SET c3 = 11 WHERE c3 IS NULL;
UPDATE tA SET c3 = 11 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 12 WHERE c3 = c12;
UPDATE tA SET c3 = 12 WHERE c3 <> c12;
UPDATE tA SET c3 = 12 WHERE c3 < c12;
UPDATE tA SET c3 = 12 WHERE c3 > c12;
UPDATE tA SET c3 = 12 WHERE c3 <= c12;
UPDATE tA SET c3 = 12 WHERE c3 >= c12;
UPDATE tA SET c3 = 12 WHERE c3 IS NULL;
UPDATE tA SET c3 = 12 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;

UPDATE tA SET c3 = 13 WHERE c3 = c13;
UPDATE tA SET c3 = 13 WHERE c3 <> c13;
UPDATE tA SET c3 = 13 WHERE c3 < c13;
UPDATE tA SET c3 = 13 WHERE c3 > c13;
UPDATE tA SET c3 = 13 WHERE c3 <= c13;
UPDATE tA SET c3 = 13 WHERE c3 >= c13;
UPDATE tA SET c3 = 13 WHERE c3 IS NULL;
UPDATE tA SET c3 = 13 WHERE c3 IS NOT NULL;
	SELECT c3 FROM tA ORDER BY c3;



UPDATE tA SET c4 = 1 WHERE c4 = c1;
UPDATE tA SET c4 = 1 WHERE c4 <> c1;
UPDATE tA SET c4 = 1 WHERE c4 < c1;
UPDATE tA SET c4 = 1 WHERE c4 > c1;
UPDATE tA SET c4 = 1 WHERE c4 <= c1;
UPDATE tA SET c4 = 1 WHERE c4 >= c1;
UPDATE tA SET c4 = 1 WHERE c4 IS NULL;
UPDATE tA SET c4 = 1 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;

UPDATE tA SET c4 = 2 WHERE c4 = c2;
UPDATE tA SET c4 = 2 WHERE c4 <> c2;
UPDATE tA SET c4 = 2 WHERE c4 < c2;
UPDATE tA SET c4 = 2 WHERE c4 > c2;
UPDATE tA SET c4 = 2 WHERE c4 <= c2;
UPDATE tA SET c4 = 2 WHERE c4 >= c2;
UPDATE tA SET c4 = 2 WHERE c4 IS NULL;
UPDATE tA SET c4 = 2 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 3 WHERE c4 = c3;
UPDATE tA SET c4 = 3 WHERE c4 <> c3;
UPDATE tA SET c4 = 3 WHERE c4 < c3;
UPDATE tA SET c4 = 3 WHERE c4 > c3;
UPDATE tA SET c4 = 3 WHERE c4 <= c3;
UPDATE tA SET c4 = 3 WHERE c4 >= c3;
UPDATE tA SET c4 = 3 WHERE c4 IS NULL;
UPDATE tA SET c4 = 3 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 4 WHERE c4 = c4;
UPDATE tA SET c4 = 4 WHERE c4 <> c4;
UPDATE tA SET c4 = 4 WHERE c4 < c4;
UPDATE tA SET c4 = 4 WHERE c4 > c4;
UPDATE tA SET c4 = 4 WHERE c4 <= c4;
UPDATE tA SET c4 = 4 WHERE c4 >= c4;
UPDATE tA SET c4 = 4 WHERE c4 IS NULL;
UPDATE tA SET c4 = 4 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 5 WHERE c4 = c5;
UPDATE tA SET c4 = 5 WHERE c4 <> c5;
UPDATE tA SET c4 = 5 WHERE c4 < c5;
UPDATE tA SET c4 = 5 WHERE c4 > c5;
UPDATE tA SET c4 = 5 WHERE c4 <= c5;
UPDATE tA SET c4 = 5 WHERE c4 >= c5;
UPDATE tA SET c4 = 5 WHERE c4 IS NULL;
UPDATE tA SET c4 = 5 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 6 WHERE c4 = c6;
UPDATE tA SET c4 = 6 WHERE c4 <> c6;
UPDATE tA SET c4 = 6 WHERE c4 < c6;
UPDATE tA SET c4 = 6 WHERE c4 > c6;
UPDATE tA SET c4 = 6 WHERE c4 <= c6;
UPDATE tA SET c4 = 6 WHERE c4 >= c6;
UPDATE tA SET c4 = 6 WHERE c4 IS NULL;
UPDATE tA SET c4 = 6 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 7 WHERE c4 = c7;
UPDATE tA SET c4 = 7 WHERE c4 <> c7;
UPDATE tA SET c4 = 7 WHERE c4 < c7;
UPDATE tA SET c4 = 7 WHERE c4 > c7;
UPDATE tA SET c4 = 7 WHERE c4 <= c7;
UPDATE tA SET c4 = 7 WHERE c4 >= c7;
UPDATE tA SET c4 = 7 WHERE c4 IS NULL;
UPDATE tA SET c4 = 7 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 8 WHERE c4 = c8;
UPDATE tA SET c4 = 8 WHERE c4 <> c8;
UPDATE tA SET c4 = 8 WHERE c4 < c8;
UPDATE tA SET c4 = 8 WHERE c4 > c8;
UPDATE tA SET c4 = 8 WHERE c4 <= c8;
UPDATE tA SET c4 = 8 WHERE c4 >= c8;
UPDATE tA SET c4 = 8 WHERE c4 IS NULL;
UPDATE tA SET c4 = 8 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 9 WHERE c4 = c9;
UPDATE tA SET c4 = 9 WHERE c4 <> c9;
UPDATE tA SET c4 = 9 WHERE c4 < c9;
UPDATE tA SET c4 = 9 WHERE c4 > c9;
UPDATE tA SET c4 = 9 WHERE c4 <= c9;
UPDATE tA SET c4 = 9 WHERE c4 >= c9;
UPDATE tA SET c4 = 9 WHERE c4 IS NULL;
UPDATE tA SET c4 = 9 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 10 WHERE c4 = c10;
UPDATE tA SET c4 = 10 WHERE c4 <> c10;
UPDATE tA SET c4 = 10 WHERE c4 < c10;
UPDATE tA SET c4 = 10 WHERE c4 > c10;
UPDATE tA SET c4 = 10 WHERE c4 <= c10;
UPDATE tA SET c4 = 10 WHERE c4 >= c10;
UPDATE tA SET c4 = 10 WHERE c4 IS NULL;
UPDATE tA SET c4 = 10 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 11 WHERE c4 = c11;
UPDATE tA SET c4 = 11 WHERE c4 <> c11;
UPDATE tA SET c4 = 11 WHERE c4 < c11;
UPDATE tA SET c4 = 11 WHERE c4 > c11;
UPDATE tA SET c4 = 11 WHERE c4 <= c11;
UPDATE tA SET c4 = 11 WHERE c4 >= c11;
UPDATE tA SET c4 = 11 WHERE c4 IS NULL;
UPDATE tA SET c4 = 11 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 12 WHERE c4 = c12;
UPDATE tA SET c4 = 12 WHERE c4 <> c12;
UPDATE tA SET c4 = 12 WHERE c4 < c12;
UPDATE tA SET c4 = 12 WHERE c4 > c12;
UPDATE tA SET c4 = 12 WHERE c4 <= c12;
UPDATE tA SET c4 = 12 WHERE c4 >= c12;
UPDATE tA SET c4 = 12 WHERE c4 IS NULL;
UPDATE tA SET c4 = 12 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;
  
UPDATE tA SET c4 = 13 WHERE c4 = c13;
UPDATE tA SET c4 = 13 WHERE c4 <> c13;
UPDATE tA SET c4 = 13 WHERE c4 < c13;
UPDATE tA SET c4 = 13 WHERE c4 > c13;
UPDATE tA SET c4 = 13 WHERE c4 <= c13;
UPDATE tA SET c4 = 13 WHERE c4 >= c13;
UPDATE tA SET c4 = 13 WHERE c4 IS NULL;
UPDATE tA SET c4 = 13 WHERE c4 IS NOT NULL;
	SELECT c4 FROM tA ORDER BY c4;



UPDATE tA SET c5 = 1 WHERE c5 = c1;
UPDATE tA SET c5 = 1 WHERE c5 <> c1;
UPDATE tA SET c5 = 1 WHERE c5 < c1;
UPDATE tA SET c5 = 1 WHERE c5 > c1;
UPDATE tA SET c5 = 1 WHERE c5 <= c1;
UPDATE tA SET c5 = 1 WHERE c5 >= c1;
UPDATE tA SET c5 = 1 WHERE c5 IS NULL;
UPDATE tA SET c5 = 1 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 2 WHERE c5 = c2;
UPDATE tA SET c5 = 2 WHERE c5 <> c2;
UPDATE tA SET c5 = 2 WHERE c5 < c2;
UPDATE tA SET c5 = 2 WHERE c5 > c2;
UPDATE tA SET c5 = 2 WHERE c5 <= c2;
UPDATE tA SET c5 = 2 WHERE c5 >= c2;
UPDATE tA SET c5 = 2 WHERE c5 IS NULL;
UPDATE tA SET c5 = 2 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 3 WHERE c5 = c3;
UPDATE tA SET c5 = 3 WHERE c5 <> c3;
UPDATE tA SET c5 = 3 WHERE c5 < c3;
UPDATE tA SET c5 = 3 WHERE c5 > c3;
UPDATE tA SET c5 = 3 WHERE c5 <= c3;
UPDATE tA SET c5 = 3 WHERE c5 >= c3;
UPDATE tA SET c5 = 3 WHERE c5 IS NULL;
UPDATE tA SET c5 = 3 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 4 WHERE c5 = c4;
UPDATE tA SET c5 = 4 WHERE c5 <> c4;
UPDATE tA SET c5 = 4 WHERE c5 < c4;
UPDATE tA SET c5 = 4 WHERE c5 > c4;
UPDATE tA SET c5 = 4 WHERE c5 <= c4;
UPDATE tA SET c5 = 4 WHERE c5 >= c4;
UPDATE tA SET c5 = 4 WHERE c5 IS NULL;
UPDATE tA SET c5 = 4 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 5 WHERE c5 = c5;
UPDATE tA SET c5 = 5 WHERE c5 <> c5;
UPDATE tA SET c5 = 5 WHERE c5 < c5;
UPDATE tA SET c5 = 5 WHERE c5 > c5;
UPDATE tA SET c5 = 5 WHERE c5 <= c5;
UPDATE tA SET c5 = 5 WHERE c5 >= c5;
UPDATE tA SET c5 = 5 WHERE c5 IS NULL;
UPDATE tA SET c5 = 5 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 6 WHERE c5 = c6;
UPDATE tA SET c5 = 6 WHERE c5 <> c6;
UPDATE tA SET c5 = 6 WHERE c5 < c6;
UPDATE tA SET c5 = 6 WHERE c5 > c6;
UPDATE tA SET c5 = 6 WHERE c5 <= c6;
UPDATE tA SET c5 = 6 WHERE c5 >= c6;
UPDATE tA SET c5 = 6 WHERE c5 IS NULL;
UPDATE tA SET c5 = 6 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 7 WHERE c5 = c7;
UPDATE tA SET c5 = 7 WHERE c5 <> c7;
UPDATE tA SET c5 = 7 WHERE c5 < c7;
UPDATE tA SET c5 = 7 WHERE c5 > c7;
UPDATE tA SET c5 = 7 WHERE c5 <= c7;
UPDATE tA SET c5 = 7 WHERE c5 >= c7;
UPDATE tA SET c5 = 7 WHERE c5 IS NULL;
UPDATE tA SET c5 = 7 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 8 WHERE c5 = c8;
UPDATE tA SET c5 = 8 WHERE c5 <> c8;
UPDATE tA SET c5 = 8 WHERE c5 < c8;
UPDATE tA SET c5 = 8 WHERE c5 > c8;
UPDATE tA SET c5 = 8 WHERE c5 <= c8;
UPDATE tA SET c5 = 8 WHERE c5 >= c8;
UPDATE tA SET c5 = 8 WHERE c5 IS NULL;
UPDATE tA SET c5 = 8 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 9 WHERE c5 = c9;
UPDATE tA SET c5 = 9 WHERE c5 <> c9;
UPDATE tA SET c5 = 9 WHERE c5 < c9;
UPDATE tA SET c5 = 9 WHERE c5 > c9;
UPDATE tA SET c5 = 9 WHERE c5 <= c9;
UPDATE tA SET c5 = 9 WHERE c5 >= c9;
UPDATE tA SET c5 = 9 WHERE c5 IS NULL;
UPDATE tA SET c5 = 9 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 10 WHERE c5 = c10;
UPDATE tA SET c5 = 10 WHERE c5 <> c10;
UPDATE tA SET c5 = 10 WHERE c5 < c10;
UPDATE tA SET c5 = 10 WHERE c5 > c10;
UPDATE tA SET c5 = 10 WHERE c5 <= c10;
UPDATE tA SET c5 = 10 WHERE c5 >= c10;
UPDATE tA SET c5 = 10 WHERE c5 IS NULL;
UPDATE tA SET c5 = 10 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 11 WHERE c5 = c11;
UPDATE tA SET c5 = 11 WHERE c5 <> c11;
UPDATE tA SET c5 = 11 WHERE c5 < c11;
UPDATE tA SET c5 = 11 WHERE c5 > c11;
UPDATE tA SET c5 = 11 WHERE c5 <= c11;
UPDATE tA SET c5 = 11 WHERE c5 >= c11;
UPDATE tA SET c5 = 11 WHERE c5 IS NULL;
UPDATE tA SET c5 = 11 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;

UPDATE tA SET c5 = 12 WHERE c5 = c12;
UPDATE tA SET c5 = 12 WHERE c5 <> c12;
UPDATE tA SET c5 = 12 WHERE c5 < c12;
UPDATE tA SET c5 = 12 WHERE c5 > c12;
UPDATE tA SET c5 = 12 WHERE c5 <= c12;
UPDATE tA SET c5 = 12 WHERE c5 >= c12;
UPDATE tA SET c5 = 12 WHERE c5 IS NULL;
UPDATE tA SET c5 = 12 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;
  
UPDATE tA SET c5 = 13 WHERE c5 = c13;
UPDATE tA SET c5 = 13 WHERE c5 <> c13;
UPDATE tA SET c5 = 13 WHERE c5 < c13;
UPDATE tA SET c5 = 13 WHERE c5 > c13;
UPDATE tA SET c5 = 13 WHERE c5 <= c13;
UPDATE tA SET c5 = 13 WHERE c5 >= c13;
UPDATE tA SET c5 = 13 WHERE c5 IS NULL;
UPDATE tA SET c5 = 13 WHERE c5 IS NOT NULL;
	SELECT c5 FROM tA ORDER BY c5;


UPDATE tA SET c6 = 'c6 = 1' WHERE c6 = c1;
UPDATE tA SET c6 = '1' WHERE c6 <> c1;
UPDATE tA SET c6 = '1' WHERE c6 < c1;
UPDATE tA SET c6 = '1' WHERE c6 > c1;
UPDATE tA SET c6 = '1' WHERE c6 <= c1;
UPDATE tA SET c6 = '1' WHERE c6 >= c1;
UPDATE tA SET c6 = '1' WHERE c6 LIKE c1;
UPDATE tA SET c6 = '1' WHERE c6 NOT LIKE c1;
UPDATE tA SET c6 = '1' WHERE c6 IS NULL;
UPDATE tA SET c6 = '1' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '2' WHERE c6 = c2;
UPDATE tA SET c6 = '2' WHERE c6 <> c2;
UPDATE tA SET c6 = '2' WHERE c6 < c2;
UPDATE tA SET c6 = '2' WHERE c6 > c2;
UPDATE tA SET c6 = '2' WHERE c6 <= c2;
UPDATE tA SET c6 = '2' WHERE c6 >= c2;
UPDATE tA SET c6 = '2' WHERE c6 LIKE c2;
UPDATE tA SET c6 = '2' WHERE c6 NOT LIKE c2;
UPDATE tA SET c6 = '2' WHERE c6 IS NULL;
UPDATE tA SET c6 = '2' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '3' WHERE c6 = c3;
UPDATE tA SET c6 = '3' WHERE c6 <> c3;
UPDATE tA SET c6 = '3' WHERE c6 < c3;
UPDATE tA SET c6 = '3' WHERE c6 > c3;
UPDATE tA SET c6 = '3' WHERE c6 <= c3;
UPDATE tA SET c6 = '3' WHERE c6 >= c3;
UPDATE tA SET c6 = '3' WHERE c6 LIKE c3;
UPDATE tA SET c6 = '3' WHERE c6 NOT LIKE c3;
UPDATE tA SET c6 = '3' WHERE c6 IS NULL;
UPDATE tA SET c6 = '3' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '4' WHERE c6 = c4;
UPDATE tA SET c6 = '4' WHERE c6 <> c4;
UPDATE tA SET c6 = '4' WHERE c6 < c4;
UPDATE tA SET c6 = '4' WHERE c6 > c4;
UPDATE tA SET c6 = '4' WHERE c6 <= c4;
UPDATE tA SET c6 = '4' WHERE c6 >= c4;
UPDATE tA SET c6 = '4' WHERE c6 LIKE c4;
UPDATE tA SET c6 = '4' WHERE c6 NOT LIKE c4;
UPDATE tA SET c6 = '4' WHERE c6 IS NULL;
UPDATE tA SET c6 = '4' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '5' WHERE c6 = c5;
UPDATE tA SET c6 = '5' WHERE c6 <> c5;
UPDATE tA SET c6 = '5' WHERE c6 < c5;
UPDATE tA SET c6 = '5' WHERE c6 > c5;
UPDATE tA SET c6 = '5' WHERE c6 <= c5;
UPDATE tA SET c6 = '5' WHERE c6 >= c5;
UPDATE tA SET c6 = '5' WHERE c6 LIKE c5;
UPDATE tA SET c6 = '5' WHERE c6 NOT LIKE c5;
UPDATE tA SET c6 = '5' WHERE c6 IS NULL;
UPDATE tA SET c6 = '5' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '6' WHERE c6 = c6;
UPDATE tA SET c6 = '6' WHERE c6 <> c6;
UPDATE tA SET c6 = '6' WHERE c6 < c6;
UPDATE tA SET c6 = '6' WHERE c6 > c6;
UPDATE tA SET c6 = '6' WHERE c6 <= c6;
UPDATE tA SET c6 = '6' WHERE c6 >= c6;
UPDATE tA SET c6 = '6' WHERE c6 LIKE c6;
UPDATE tA SET c6 = '6' WHERE c6 NOT LIKE c6;
UPDATE tA SET c6 = '6' WHERE c6 IS NULL;
UPDATE tA SET c6 = '6' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '7' WHERE c6 = c7;
UPDATE tA SET c6 = '7' WHERE c6 <> c7;
UPDATE tA SET c6 = '7' WHERE c6 < c7;
UPDATE tA SET c6 = '7' WHERE c6 > c7;
UPDATE tA SET c6 = '7' WHERE c6 <= c7;
UPDATE tA SET c6 = '7' WHERE c6 >= c7;
UPDATE tA SET c6 = '7' WHERE c6 LIKE c7;
UPDATE tA SET c6 = '7' WHERE c6 NOT LIKE c7;
UPDATE tA SET c6 = '7' WHERE c6 IS NULL;
UPDATE tA SET c6 = '7' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '8' WHERE c6 = c8;
UPDATE tA SET c6 = '8' WHERE c6 <> c8;
UPDATE tA SET c6 = '8' WHERE c6 < c8;
UPDATE tA SET c6 = '8' WHERE c6 > c8;
UPDATE tA SET c6 = '8' WHERE c6 <= c8;
UPDATE tA SET c6 = '8' WHERE c6 >= c8;
UPDATE tA SET c6 = '8' WHERE c6 LIKE c8;
UPDATE tA SET c6 = '8' WHERE c6 NOT LIKE c8;
UPDATE tA SET c6 = '8' WHERE c6 IS NULL;
UPDATE tA SET c6 = '8' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = '9' WHERE c6 = c9;
UPDATE tA SET c6 = '9' WHERE c6 <> c9;
UPDATE tA SET c6 = '9' WHERE c6 < c9;
UPDATE tA SET c6 = '9' WHERE c6 > c9;
UPDATE tA SET c6 = '9' WHERE c6 <= c9;
UPDATE tA SET c6 = '9' WHERE c6 >= c9;
UPDATE tA SET c6 = '9' WHERE c6 LIKE c9;
UPDATE tA SET c6 = '9' WHERE c6 NOT LIKE c9;
UPDATE tA SET c6 = '9' WHERE c6 IS NULL;
UPDATE tA SET c6 = '9' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = 'a' WHERE c6 = c10;
UPDATE tA SET c6 = 'a' WHERE c6 <> c10;
UPDATE tA SET c6 = 'a' WHERE c6 < c10;
UPDATE tA SET c6 = 'a' WHERE c6 > c10;
UPDATE tA SET c6 = 'a' WHERE c6 <= c10;
UPDATE tA SET c6 = 'a' WHERE c6 >= c10;
UPDATE tA SET c6 = 'a' WHERE c6 LIKE c10;
UPDATE tA SET c6 = 'a' WHERE c6 NOT LIKE c10;
UPDATE tA SET c6 = 'a' WHERE c6 IS NULL;
UPDATE tA SET c6 = 'a' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = 'b' WHERE c6 = c11;
UPDATE tA SET c6 = 'b' WHERE c6 <> c11;
UPDATE tA SET c6 = 'b' WHERE c6 < c11;
UPDATE tA SET c6 = 'b' WHERE c6 > c11;
UPDATE tA SET c6 = 'b' WHERE c6 <= c11;
UPDATE tA SET c6 = 'b' WHERE c6 >= c11;
UPDATE tA SET c6 = 'b' WHERE c6 LIKE c11;
UPDATE tA SET c6 = 'b' WHERE c6 NOT LIKE c11;
UPDATE tA SET c6 = 'b' WHERE c6 IS NULL;
UPDATE tA SET c6 = 'b' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = 'c' WHERE c6 = c12;
UPDATE tA SET c6 = 'c' WHERE c6 <> c12;
UPDATE tA SET c6 = 'c' WHERE c6 < c12;
UPDATE tA SET c6 = 'c' WHERE c6 > c12;
UPDATE tA SET c6 = 'c' WHERE c6 <= c12;
UPDATE tA SET c6 = 'c' WHERE c6 >= c12;
UPDATE tA SET c6 = 'c' WHERE c6 LIKE c12;
UPDATE tA SET c6 = 'c' WHERE c6 NOT LIKE c12;
UPDATE tA SET c6 = 'c' WHERE c6 IS NULL;
UPDATE tA SET c6 = 'c' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;

UPDATE tA SET c6 = 'd' WHERE c6 = c13;
UPDATE tA SET c6 = 'd' WHERE c6 <> c13;
UPDATE tA SET c6 = 'd' WHERE c6 < c13;
UPDATE tA SET c6 = 'd' WHERE c6 > c13;
UPDATE tA SET c6 = 'd' WHERE c6 <= c13;
UPDATE tA SET c6 = 'd' WHERE c6 >= c13;
UPDATE tA SET c6 = 'd' WHERE c6 LIKE c13;
UPDATE tA SET c6 = 'd' WHERE c6 NOT LIKE c13;
UPDATE tA SET c6 = 'd' WHERE c6 IS NULL;
UPDATE tA SET c6 = 'd' WHERE c6 IS NOT NULL;
	SELECT c6 FROM tA ORDER BY c6;


UPDATE tA SET c7 = '1' WHERE c7 = c1;
UPDATE tA SET c7 = '1' WHERE c7 <> c1;
UPDATE tA SET c7 = '1' WHERE c7 < c1;
UPDATE tA SET c7 = '1' WHERE c7 > c1;
UPDATE tA SET c7 = '1' WHERE c7 <= c1;
UPDATE tA SET c7 = '1' WHERE c7 >= c1;
UPDATE tA SET c7 = '1' WHERE c7 LIKE c1;
UPDATE tA SET c7 = '1' WHERE c7 NOT LIKE c1;
UPDATE tA SET c7 = '1' WHERE c7 IS NULL;
UPDATE tA SET c7 = '1' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '2' WHERE c7 = c2;
UPDATE tA SET c7 = '2' WHERE c7 <> c2;
UPDATE tA SET c7 = '2' WHERE c7 < c2;
UPDATE tA SET c7 = '2' WHERE c7 > c2;
UPDATE tA SET c7 = '2' WHERE c7 <= c2;
UPDATE tA SET c7 = '2' WHERE c7 >= c2;
UPDATE tA SET c7 = '2' WHERE c7 LIKE c2;
UPDATE tA SET c7 = '2' WHERE c7 NOT LIKE c2;
UPDATE tA SET c7 = '2' WHERE c7 IS NULL;
UPDATE tA SET c7 = '2' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '3' WHERE c7 = c3;
UPDATE tA SET c7 = '3' WHERE c7 <> c3;
UPDATE tA SET c7 = '3' WHERE c7 < c3;
UPDATE tA SET c7 = '3' WHERE c7 > c3;
UPDATE tA SET c7 = '3' WHERE c7 <= c3;
UPDATE tA SET c7 = '3' WHERE c7 >= c3;
UPDATE tA SET c7 = '3' WHERE c7 LIKE c3;
UPDATE tA SET c7 = '3' WHERE c7 NOT LIKE c3;
UPDATE tA SET c7 = '3' WHERE c7 IS NULL;
UPDATE tA SET c7 = '3' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '4' WHERE c7 = c4;
UPDATE tA SET c7 = '4' WHERE c7 <> c4;
UPDATE tA SET c7 = '4' WHERE c7 < c4;
UPDATE tA SET c7 = '4' WHERE c7 > c4;
UPDATE tA SET c7 = '4' WHERE c7 <= c4;
UPDATE tA SET c7 = '4' WHERE c7 >= c4;
UPDATE tA SET c7 = '4' WHERE c7 LIKE c4;
UPDATE tA SET c7 = '4' WHERE c7 NOT LIKE c4;
UPDATE tA SET c7 = '4' WHERE c7 IS NULL;
UPDATE tA SET c7 = '4' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '5' WHERE c7 = c5;
UPDATE tA SET c7 = '5' WHERE c7 <> c5;
UPDATE tA SET c7 = '5' WHERE c7 < c5;
UPDATE tA SET c7 = '5' WHERE c7 > c5;
UPDATE tA SET c7 = '5' WHERE c7 <= c5;
UPDATE tA SET c7 = '5' WHERE c7 >= c5;
UPDATE tA SET c7 = '5' WHERE c7 LIKE c5;
UPDATE tA SET c7 = '5' WHERE c7 NOT LIKE c5;
UPDATE tA SET c7 = '5' WHERE c7 IS NULL;
UPDATE tA SET c7 = '5' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '6' WHERE c7 = c6;
UPDATE tA SET c7 = '6' WHERE c7 <> c6;
	SELECT c7 FROM tA ORDER BY c7;
UPDATE tA SET c7 = '6' WHERE c7 < c6;
UPDATE tA SET c7 = '6' WHERE c7 > c6;
UPDATE tA SET c7 = '6' WHERE c7 <= c6;
UPDATE tA SET c7 = '6' WHERE c7 >= c6;
UPDATE tA SET c7 = '6' WHERE c7 LIKE c6;
UPDATE tA SET c7 = '6' WHERE c7 NOT LIKE c6;
UPDATE tA SET c7 = '6' WHERE c7 IS NULL;
UPDATE tA SET c7 = '6' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '7' WHERE c7 = c7;
UPDATE tA SET c7 = '7' WHERE c7 <> c7;
UPDATE tA SET c7 = '7' WHERE c7 < c7;
UPDATE tA SET c7 = '7' WHERE c7 > c7;
UPDATE tA SET c7 = '7' WHERE c7 <= c7;
UPDATE tA SET c7 = '7' WHERE c7 >= c7;
UPDATE tA SET c7 = '7' WHERE c7 LIKE c7;
UPDATE tA SET c7 = '7' WHERE c7 NOT LIKE c7;
UPDATE tA SET c7 = '7' WHERE c7 IS NULL;
UPDATE tA SET c7 = '7' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '8' WHERE c7 = c8;
UPDATE tA SET c7 = '8' WHERE c7 <> c8;
UPDATE tA SET c7 = '8' WHERE c7 < c8;
UPDATE tA SET c7 = '8' WHERE c7 > c8;
UPDATE tA SET c7 = '8' WHERE c7 <= c8;
UPDATE tA SET c7 = '8' WHERE c7 >= c8;
UPDATE tA SET c7 = '8' WHERE c7 LIKE c8;
UPDATE tA SET c7 = '8' WHERE c7 NOT LIKE c8;
UPDATE tA SET c7 = '8' WHERE c7 IS NULL;
UPDATE tA SET c7 = '8' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '9' WHERE c7 = c9;
UPDATE tA SET c7 = '9' WHERE c7 <> c9;
UPDATE tA SET c7 = '9' WHERE c7 < c9;
UPDATE tA SET c7 = '9' WHERE c7 > c9;
UPDATE tA SET c7 = '9' WHERE c7 <= c9;
UPDATE tA SET c7 = '9' WHERE c7 >= c9;
UPDATE tA SET c7 = '9' WHERE c7 LIKE c9;
UPDATE tA SET c7 = '9' WHERE c7 NOT LIKE c9;
UPDATE tA SET c7 = '9' WHERE c7 IS NULL;
UPDATE tA SET c7 = '9' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '10' WHERE c7 = c10;
UPDATE tA SET c7 = '10' WHERE c7 <> c10;
UPDATE tA SET c7 = '10' WHERE c7 < c10;
UPDATE tA SET c7 = '10' WHERE c7 > c10;
UPDATE tA SET c7 = '10' WHERE c7 <= c10;
UPDATE tA SET c7 = '10' WHERE c7 >= c10;
UPDATE tA SET c7 = '10' WHERE c7 LIKE c10;
UPDATE tA SET c7 = '10' WHERE c7 NOT LIKE c10;
UPDATE tA SET c7 = '10' WHERE c7 IS NULL;
UPDATE tA SET c7 = '10' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '11' WHERE c7 = c11;
UPDATE tA SET c7 = '11' WHERE c7 <> c11;
UPDATE tA SET c7 = '11' WHERE c7 < c11;
UPDATE tA SET c7 = '11' WHERE c7 > c11;
UPDATE tA SET c7 = '11' WHERE c7 <= c11;
UPDATE tA SET c7 = '11' WHERE c7 >= c11;
UPDATE tA SET c7 = '11' WHERE c7 LIKE c11;
UPDATE tA SET c7 = '11' WHERE c7 NOT LIKE c11;
UPDATE tA SET c7 = '11' WHERE c7 IS NULL;
UPDATE tA SET c7 = '11' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '12' WHERE c7 = c12;
UPDATE tA SET c7 = '12' WHERE c7 <> c12;
UPDATE tA SET c7 = '12' WHERE c7 < c12;
UPDATE tA SET c7 = '12' WHERE c7 > c12;
UPDATE tA SET c7 = '12' WHERE c7 <= c12;
UPDATE tA SET c7 = '12' WHERE c7 >= c12;
UPDATE tA SET c7 = '12' WHERE c7 LIKE c12;
UPDATE tA SET c7 = '12' WHERE c7 NOT LIKE c12;
UPDATE tA SET c7 = '12' WHERE c7 IS NULL;
UPDATE tA SET c7 = '12' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;

UPDATE tA SET c7 = '13' WHERE c7 = c13;
UPDATE tA SET c7 = '13' WHERE c7 <> c13;
UPDATE tA SET c7 = '13' WHERE c7 < c13;
UPDATE tA SET c7 = '13' WHERE c7 > c13;
UPDATE tA SET c7 = '13' WHERE c7 <= c13;
UPDATE tA SET c7 = '13' WHERE c7 >= c13;
UPDATE tA SET c7 = '13' WHERE c7 LIKE c13;
UPDATE tA SET c7 = '13' WHERE c7 NOT LIKE c13;
UPDATE tA SET c7 = '13' WHERE c7 IS NULL;
UPDATE tA SET c7 = '13' WHERE c7 IS NOT NULL;
	SELECT c7 FROM tA ORDER BY c7;



UPDATE tA SET c8 = '1' WHERE c8 = c1;
UPDATE tA SET c8 = '1' WHERE c8 <> c1;
UPDATE tA SET c8 = '1' WHERE c8 < c1;
UPDATE tA SET c8 = '1' WHERE c8 > c1;
UPDATE tA SET c8 = '1' WHERE c8 <= c1;
UPDATE tA SET c8 = '1' WHERE c8 >= c1;
UPDATE tA SET c8 = '1' WHERE c8 LIKE c1;
UPDATE tA SET c8 = '1' WHERE c8 NOT LIKE c1;
UPDATE tA SET c8 = '1' WHERE c8 IS NULL;
	SELECT c8 FROM tA ORDER BY c8;
UPDATE tA SET c8 = '1' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '2' WHERE c8 = c2;
UPDATE tA SET c8 = '2' WHERE c8 <> c2;
UPDATE tA SET c8 = '2' WHERE c8 < c2;
UPDATE tA SET c8 = '2' WHERE c8 > c2;
UPDATE tA SET c8 = '2' WHERE c8 <= c2;
UPDATE tA SET c8 = '2' WHERE c8 >= c2;
UPDATE tA SET c8 = '2' WHERE c8 LIKE c2;
UPDATE tA SET c8 = '2' WHERE c8 NOT LIKE c2;
UPDATE tA SET c8 = '2' WHERE c8 IS NULL;
UPDATE tA SET c8 = '2' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '3' WHERE c8 = c3;
UPDATE tA SET c8 = '3' WHERE c8 <> c3;
UPDATE tA SET c8 = '3' WHERE c8 < c3;
UPDATE tA SET c8 = '3' WHERE c8 > c3;
UPDATE tA SET c8 = '3' WHERE c8 <= c3;
UPDATE tA SET c8 = '3' WHERE c8 >= c3;
UPDATE tA SET c8 = '3' WHERE c8 LIKE c3;
UPDATE tA SET c8 = '3' WHERE c8 NOT LIKE c3;
UPDATE tA SET c8 = '3' WHERE c8 IS NULL;
UPDATE tA SET c8 = '3' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '4' WHERE c8 = c4;
UPDATE tA SET c8 = '4' WHERE c8 <> c4;
UPDATE tA SET c8 = '4' WHERE c8 < c4;
UPDATE tA SET c8 = '4' WHERE c8 > c4;
UPDATE tA SET c8 = '4' WHERE c8 <= c4;
UPDATE tA SET c8 = '4' WHERE c8 >= c4;
UPDATE tA SET c8 = '4' WHERE c8 LIKE c4;
UPDATE tA SET c8 = '4' WHERE c8 NOT LIKE c4;
UPDATE tA SET c8 = '4' WHERE c8 IS NULL;
UPDATE tA SET c8 = '4' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '5' WHERE c8 = c5;
UPDATE tA SET c8 = '5' WHERE c8 <> c5;
UPDATE tA SET c8 = '5' WHERE c8 < c5;
UPDATE tA SET c8 = '5' WHERE c8 > c5;
UPDATE tA SET c8 = '5' WHERE c8 <= c5;
UPDATE tA SET c8 = '5' WHERE c8 >= c5;
UPDATE tA SET c8 = '5' WHERE c8 LIKE c5;
UPDATE tA SET c8 = '5' WHERE c8 NOT LIKE c5;
UPDATE tA SET c8 = '5' WHERE c8 IS NULL;
UPDATE tA SET c8 = '5' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '6' WHERE c8 = c6;
UPDATE tA SET c8 = '6' WHERE c8 <> c6;
UPDATE tA SET c8 = '6' WHERE c8 < c6;
UPDATE tA SET c8 = '6' WHERE c8 > c6;
UPDATE tA SET c8 = '6' WHERE c8 <= c6;
UPDATE tA SET c8 = '6' WHERE c8 >= c6;
UPDATE tA SET c8 = '6' WHERE c8 LIKE c6;
UPDATE tA SET c8 = '6' WHERE c8 NOT LIKE c6;
UPDATE tA SET c8 = '6' WHERE c8 IS NULL;
UPDATE tA SET c8 = '6' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '7' WHERE c8 = c7;
UPDATE tA SET c8 = '7' WHERE c8 <> c7;
UPDATE tA SET c8 = '7' WHERE c8 < c7;
UPDATE tA SET c8 = '7' WHERE c8 > c7;
UPDATE tA SET c8 = '7' WHERE c8 <= c7;
UPDATE tA SET c8 = '7' WHERE c8 >= c7;
UPDATE tA SET c8 = '7' WHERE c8 LIKE c7;
UPDATE tA SET c8 = '7' WHERE c8 NOT LIKE c7;
UPDATE tA SET c8 = '7' WHERE c8 IS NULL;
UPDATE tA SET c8 = '7' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '8' WHERE c8 = c8;
UPDATE tA SET c8 = '8' WHERE c8 <> c8;
UPDATE tA SET c8 = '8' WHERE c8 < c8;
UPDATE tA SET c8 = '8' WHERE c8 > c8;
UPDATE tA SET c8 = '8' WHERE c8 <= c8;
UPDATE tA SET c8 = '8' WHERE c8 >= c8;
UPDATE tA SET c8 = '8' WHERE c8 LIKE c8;
UPDATE tA SET c8 = '8' WHERE c8 NOT LIKE c8;
UPDATE tA SET c8 = '8' WHERE c8 IS NULL;
UPDATE tA SET c8 = '8' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '9' WHERE c8 = c9;
UPDATE tA SET c8 = '9' WHERE c8 <> c9;
UPDATE tA SET c8 = '9' WHERE c8 < c9;
UPDATE tA SET c8 = '9' WHERE c8 > c9;
UPDATE tA SET c8 = '9' WHERE c8 <= c9;
UPDATE tA SET c8 = '9' WHERE c8 >= c9;
UPDATE tA SET c8 = '9' WHERE c8 LIKE c9;
UPDATE tA SET c8 = '9' WHERE c8 NOT LIKE c9;
UPDATE tA SET c8 = '9' WHERE c8 IS NULL;
UPDATE tA SET c8 = '9' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '10' WHERE c8 = c10;
UPDATE tA SET c8 = '10' WHERE c8 <> c10;
UPDATE tA SET c8 = '10' WHERE c8 < c10;
UPDATE tA SET c8 = '10' WHERE c8 > c10;
UPDATE tA SET c8 = '10' WHERE c8 <= c10;
UPDATE tA SET c8 = '10' WHERE c8 >= c10;
UPDATE tA SET c8 = '10' WHERE c8 LIKE c10;
UPDATE tA SET c8 = '10' WHERE c8 NOT LIKE c10;
UPDATE tA SET c8 = '10' WHERE c8 IS NULL;
UPDATE tA SET c8 = '10' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '11' WHERE c8 = c11;
UPDATE tA SET c8 = '11' WHERE c8 <> c11;
UPDATE tA SET c8 = '11' WHERE c8 < c11;
UPDATE tA SET c8 = '11' WHERE c8 > c11;
UPDATE tA SET c8 = '11' WHERE c8 <= c11;
UPDATE tA SET c8 = '11' WHERE c8 >= c11;
UPDATE tA SET c8 = '11' WHERE c8 LIKE c11;
UPDATE tA SET c8 = '11' WHERE c8 NOT LIKE c11;
UPDATE tA SET c8 = '11' WHERE c8 IS NULL;
UPDATE tA SET c8 = '11' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '12' WHERE c8 = c12;
UPDATE tA SET c8 = '12' WHERE c8 <> c12;
UPDATE tA SET c8 = '12' WHERE c8 < c12;
UPDATE tA SET c8 = '12' WHERE c8 > c12;
UPDATE tA SET c8 = '12' WHERE c8 <= c12;
UPDATE tA SET c8 = '12' WHERE c8 >= c12;
UPDATE tA SET c8 = '12' WHERE c8 LIKE c12;
UPDATE tA SET c8 = '12' WHERE c8 NOT LIKE c12;
UPDATE tA SET c8 = '12' WHERE c8 IS NULL;
UPDATE tA SET c8 = '12' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;

UPDATE tA SET c8 = '13' WHERE c8 = c13;
UPDATE tA SET c8 = '13' WHERE c8 <> c13;
UPDATE tA SET c8 = '13' WHERE c8 < c13;
UPDATE tA SET c8 = '13' WHERE c8 > c13;
UPDATE tA SET c8 = '13' WHERE c8 <= c13;
UPDATE tA SET c8 = '13' WHERE c8 >= c13;
UPDATE tA SET c8 = '13' WHERE c8 LIKE c13;
UPDATE tA SET c8 = '13' WHERE c8 NOT LIKE c13;
UPDATE tA SET c8 = '13' WHERE c8 IS NULL;
UPDATE tA SET c8 = '13' WHERE c8 IS NOT NULL;
	SELECT c8 FROM tA ORDER BY c8;



UPDATE tA SET c9 = '1' WHERE c9 = c1;
UPDATE tA SET c9 = '1' WHERE c9 <> c1;
UPDATE tA SET c9 = '1' WHERE c9 < c1;
UPDATE tA SET c9 = '1' WHERE c9 > c1;
UPDATE tA SET c9 = '1' WHERE c9 <= c1;
UPDATE tA SET c9 = '1' WHERE c9 >= c1;
UPDATE tA SET c9 = '1' WHERE c9 LIKE c1;
UPDATE tA SET c9 = '1' WHERE c9 NOT LIKE c1;
UPDATE tA SET c9 = '1' WHERE c9 IS NULL;
UPDATE tA SET c9 = '1' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '2' WHERE c9 = c2;
UPDATE tA SET c9 = '2' WHERE c9 <> c2;
UPDATE tA SET c9 = '2' WHERE c9 < c2;
UPDATE tA SET c9 = '2' WHERE c9 > c2;
UPDATE tA SET c9 = '2' WHERE c9 <= c2;
UPDATE tA SET c9 = '2' WHERE c9 >= c2;
UPDATE tA SET c9 = '2' WHERE c9 LIKE c2;
UPDATE tA SET c9 = '2' WHERE c9 NOT LIKE c2;
UPDATE tA SET c9 = '2' WHERE c9 IS NULL;
UPDATE tA SET c9 = '2' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '3' WHERE c9 = c3;
UPDATE tA SET c9 = '3' WHERE c9 <> c3;
UPDATE tA SET c9 = '3' WHERE c9 < c3;
UPDATE tA SET c9 = '3' WHERE c9 > c3;
UPDATE tA SET c9 = '3' WHERE c9 <= c3;
UPDATE tA SET c9 = '3' WHERE c9 >= c3;
UPDATE tA SET c9 = '3' WHERE c9 LIKE c3;
UPDATE tA SET c9 = '3' WHERE c9 NOT LIKE c3;
UPDATE tA SET c9 = '3' WHERE c9 IS NULL;
UPDATE tA SET c9 = '3' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '4' WHERE c9 = c4;
UPDATE tA SET c9 = '4' WHERE c9 <> c4;
UPDATE tA SET c9 = '4' WHERE c9 < c4;
UPDATE tA SET c9 = '4' WHERE c9 > c4;
UPDATE tA SET c9 = '4' WHERE c9 <= c4;
UPDATE tA SET c9 = '4' WHERE c9 >= c4;
UPDATE tA SET c9 = '4' WHERE c9 LIKE c4;
UPDATE tA SET c9 = '4' WHERE c9 NOT LIKE c4;
UPDATE tA SET c9 = '4' WHERE c9 IS NULL;
UPDATE tA SET c9 = '4' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '5' WHERE c9 = c5;
UPDATE tA SET c9 = '5' WHERE c9 <> c5;
UPDATE tA SET c9 = '5' WHERE c9 < c5;
UPDATE tA SET c9 = '5' WHERE c9 > c5;
UPDATE tA SET c9 = '5' WHERE c9 <= c5;
UPDATE tA SET c9 = '5' WHERE c9 >= c5;
UPDATE tA SET c9 = '5' WHERE c9 LIKE c5;
UPDATE tA SET c9 = '5' WHERE c9 NOT LIKE c5;
UPDATE tA SET c9 = '5' WHERE c9 IS NULL;
UPDATE tA SET c9 = '5' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '6' WHERE c9 = c6;
UPDATE tA SET c9 = '6' WHERE c9 <> c6;
UPDATE tA SET c9 = '6' WHERE c9 < c6;
UPDATE tA SET c9 = '6' WHERE c9 > c6;
UPDATE tA SET c9 = '6' WHERE c9 <= c6;
UPDATE tA SET c9 = '6' WHERE c9 >= c6;
UPDATE tA SET c9 = '6' WHERE c9 LIKE c6;
UPDATE tA SET c9 = '6' WHERE c9 NOT LIKE c6;
UPDATE tA SET c9 = '6' WHERE c9 IS NULL;
UPDATE tA SET c9 = '6' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '7' WHERE c9 = c7;
UPDATE tA SET c9 = '7' WHERE c9 <> c7;
UPDATE tA SET c9 = '7' WHERE c9 < c7;
UPDATE tA SET c9 = '7' WHERE c9 > c7;
UPDATE tA SET c9 = '7' WHERE c9 <= c7;
UPDATE tA SET c9 = '7' WHERE c9 >= c7;
UPDATE tA SET c9 = '7' WHERE c9 LIKE c7;
UPDATE tA SET c9 = '7' WHERE c9 NOT LIKE c7;
UPDATE tA SET c9 = '7' WHERE c9 IS NULL;
UPDATE tA SET c9 = '7' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '8' WHERE c9 = c8;
UPDATE tA SET c9 = '8' WHERE c9 <> c8;
UPDATE tA SET c9 = '8' WHERE c9 < c8;
UPDATE tA SET c9 = '8' WHERE c9 > c8;
UPDATE tA SET c9 = '8' WHERE c9 <= c8;
UPDATE tA SET c9 = '8' WHERE c9 >= c8;
UPDATE tA SET c9 = '8' WHERE c9 LIKE c8;
UPDATE tA SET c9 = '8' WHERE c9 NOT LIKE c8;
UPDATE tA SET c9 = '8' WHERE c9 IS NULL;
UPDATE tA SET c9 = '8' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = '9' WHERE c9 = c9;
UPDATE tA SET c9 = '9' WHERE c9 <> c9;
UPDATE tA SET c9 = '9' WHERE c9 < c9;
UPDATE tA SET c9 = '9' WHERE c9 > c9;
UPDATE tA SET c9 = '9' WHERE c9 <= c9;
UPDATE tA SET c9 = '9' WHERE c9 >= c9;
UPDATE tA SET c9 = '9' WHERE c9 LIKE c9;
UPDATE tA SET c9 = '9' WHERE c9 NOT LIKE c9;
UPDATE tA SET c9 = '9' WHERE c9 IS NULL;
UPDATE tA SET c9 = '9' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = 'a' WHERE c9 = c10;
UPDATE tA SET c9 = 'a' WHERE c9 <> c10;
UPDATE tA SET c9 = 'a' WHERE c9 < c10;
UPDATE tA SET c9 = 'a' WHERE c9 > c10;
UPDATE tA SET c9 = 'a' WHERE c9 <= c10;
UPDATE tA SET c9 = 'a' WHERE c9 >= c10;
UPDATE tA SET c9 = 'a' WHERE c9 LIKE c10;
UPDATE tA SET c9 = 'a' WHERE c9 NOT LIKE c10;
UPDATE tA SET c9 = 'a' WHERE c9 IS NULL;
UPDATE tA SET c9 = 'a' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = 'b' WHERE c9 = c11;
UPDATE tA SET c9 = 'b' WHERE c9 <> c11;
UPDATE tA SET c9 = 'b' WHERE c9 < c11;
UPDATE tA SET c9 = 'b' WHERE c9 > c11;
UPDATE tA SET c9 = 'b' WHERE c9 <= c11;
UPDATE tA SET c9 = 'b' WHERE c9 >= c11;
UPDATE tA SET c9 = 'b' WHERE c9 LIKE c11;
UPDATE tA SET c9 = 'b' WHERE c9 NOT LIKE c11;
UPDATE tA SET c9 = 'b' WHERE c9 IS NULL;
UPDATE tA SET c9 = 'b' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = 'c' WHERE c9 = c12;
UPDATE tA SET c9 = 'c' WHERE c9 <> c12;
UPDATE tA SET c9 = 'c' WHERE c9 < c12;
UPDATE tA SET c9 = 'c' WHERE c9 > c12;
UPDATE tA SET c9 = 'c' WHERE c9 <= c12;
UPDATE tA SET c9 = 'c' WHERE c9 >= c12;
UPDATE tA SET c9 = 'c' WHERE c9 LIKE c12;
UPDATE tA SET c9 = 'c' WHERE c9 NOT LIKE c12;
UPDATE tA SET c9 = 'c' WHERE c9 IS NULL;
UPDATE tA SET c9 = 'c' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;

UPDATE tA SET c9 = 'd' WHERE c9 = c13;
UPDATE tA SET c9 = 'd' WHERE c9 <> c13;
UPDATE tA SET c9 = 'd' WHERE c9 < c13;
UPDATE tA SET c9 = 'd' WHERE c9 > c13;
UPDATE tA SET c9 = 'd' WHERE c9 <= c13;
UPDATE tA SET c9 = 'd' WHERE c9 >= c13;
UPDATE tA SET c9 = 'd' WHERE c9 LIKE c13;
UPDATE tA SET c9 = 'd' WHERE c9 NOT LIKE c13;
UPDATE tA SET c9 = 'd' WHERE c9 IS NULL;
UPDATE tA SET c9 = 'd' WHERE c9 IS NOT NULL;
	SELECT c9 FROM tA ORDER BY c9;



UPDATE tA SET c10 = '1' WHERE c10 = c1;
UPDATE tA SET c10 = '1' WHERE c10 <> c1;
UPDATE tA SET c10 = '1' WHERE c10 < c1;
UPDATE tA SET c10 = '1' WHERE c10 > c1;
UPDATE tA SET c10 = '1' WHERE c10 <= c1;
UPDATE tA SET c10 = '1' WHERE c10 >= c1;
UPDATE tA SET c10 = '1' WHERE c10 LIKE c1;
UPDATE tA SET c10 = '1' WHERE c10 NOT LIKE c1;
UPDATE tA SET c10 = '1' WHERE c10 IS NULL;
UPDATE tA SET c10 = '1' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '2' WHERE c10 = c2;
UPDATE tA SET c10 = '2' WHERE c10 <> c2;
UPDATE tA SET c10 = '2' WHERE c10 < c2;
UPDATE tA SET c10 = '2' WHERE c10 > c2;
UPDATE tA SET c10 = '2' WHERE c10 <= c2;
UPDATE tA SET c10 = '2' WHERE c10 >= c2;
UPDATE tA SET c10 = '2' WHERE c10 LIKE c2;
UPDATE tA SET c10 = '2' WHERE c10 NOT LIKE c2;
UPDATE tA SET c10 = '2' WHERE c10 IS NULL;
UPDATE tA SET c10 = '2' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '3' WHERE c10 = c3;
UPDATE tA SET c10 = '3' WHERE c10 <> c3;
UPDATE tA SET c10 = '3' WHERE c10 < c3;
UPDATE tA SET c10 = '3' WHERE c10 > c3;
UPDATE tA SET c10 = '3' WHERE c10 <= c3;
UPDATE tA SET c10 = '3' WHERE c10 >= c3;
UPDATE tA SET c10 = '3' WHERE c10 LIKE c3;
UPDATE tA SET c10 = '3' WHERE c10 NOT LIKE c3;
UPDATE tA SET c10 = '3' WHERE c10 IS NULL;
UPDATE tA SET c10 = '3' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '4' WHERE c10 = c4;
UPDATE tA SET c10 = '4' WHERE c10 <> c4;
UPDATE tA SET c10 = '4' WHERE c10 < c4;
UPDATE tA SET c10 = '4' WHERE c10 > c4;
UPDATE tA SET c10 = '4' WHERE c10 <= c4;
UPDATE tA SET c10 = '4' WHERE c10 >= c4;
UPDATE tA SET c10 = '4' WHERE c10 LIKE c4;
UPDATE tA SET c10 = '4' WHERE c10 NOT LIKE c4;
UPDATE tA SET c10 = '4' WHERE c10 IS NULL;
UPDATE tA SET c10 = '4' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '5' WHERE c10 = c5;
UPDATE tA SET c10 = '5' WHERE c10 <> c5;
UPDATE tA SET c10 = '5' WHERE c10 < c5;
UPDATE tA SET c10 = '5' WHERE c10 > c5;
UPDATE tA SET c10 = '5' WHERE c10 <= c5;
UPDATE tA SET c10 = '5' WHERE c10 >= c5;
UPDATE tA SET c10 = '5' WHERE c10 LIKE c5;
UPDATE tA SET c10 = '5' WHERE c10 NOT LIKE c5;
UPDATE tA SET c10 = '5' WHERE c10 IS NULL;
UPDATE tA SET c10 = '5' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '6' WHERE c10 = c6;
UPDATE tA SET c10 = '6' WHERE c10 <> c6;
UPDATE tA SET c10 = '6' WHERE c10 < c6;
UPDATE tA SET c10 = '6' WHERE c10 > c6;
UPDATE tA SET c10 = '6' WHERE c10 <= c6;
UPDATE tA SET c10 = '6' WHERE c10 >= c6;
UPDATE tA SET c10 = '6' WHERE c10 LIKE c6;
UPDATE tA SET c10 = '6' WHERE c10 NOT LIKE c6;
UPDATE tA SET c10 = '6' WHERE c10 IS NULL;
UPDATE tA SET c10 = '6' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '7' WHERE c10 = c7;
UPDATE tA SET c10 = '7' WHERE c10 <> c7;
UPDATE tA SET c10 = '7' WHERE c10 < c7;
UPDATE tA SET c10 = '7' WHERE c10 > c7;
UPDATE tA SET c10 = '7' WHERE c10 <= c7;
UPDATE tA SET c10 = '7' WHERE c10 >= c7;
UPDATE tA SET c10 = '7' WHERE c10 LIKE c7;
UPDATE tA SET c10 = '7' WHERE c10 NOT LIKE c7;
UPDATE tA SET c10 = '7' WHERE c10 IS NULL;
UPDATE tA SET c10 = '7' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '8' WHERE c10 = c8;
UPDATE tA SET c10 = '8' WHERE c10 <> c8;
UPDATE tA SET c10 = '8' WHERE c10 < c8;
UPDATE tA SET c10 = '8' WHERE c10 > c8;
UPDATE tA SET c10 = '8' WHERE c10 <= c8;
UPDATE tA SET c10 = '8' WHERE c10 >= c8;
UPDATE tA SET c10 = '8' WHERE c10 LIKE c8;
UPDATE tA SET c10 = '8' WHERE c10 NOT LIKE c8;
UPDATE tA SET c10 = '8' WHERE c10 IS NULL;
UPDATE tA SET c10 = '8' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '9' WHERE c10 = c9;
UPDATE tA SET c10 = '9' WHERE c10 <> c9;
UPDATE tA SET c10 = '9' WHERE c10 < c9;
UPDATE tA SET c10 = '9' WHERE c10 > c9;
UPDATE tA SET c10 = '9' WHERE c10 <= c9;
UPDATE tA SET c10 = '9' WHERE c10 >= c9;
UPDATE tA SET c10 = '9' WHERE c10 LIKE c9;
UPDATE tA SET c10 = '9' WHERE c10 NOT LIKE c9;
UPDATE tA SET c10 = '9' WHERE c10 IS NULL;
UPDATE tA SET c10 = '9' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '10' WHERE c10 = c10;
UPDATE tA SET c10 = '10' WHERE c10 <> c10;
UPDATE tA SET c10 = '10' WHERE c10 < c10;
UPDATE tA SET c10 = '10' WHERE c10 > c10;
UPDATE tA SET c10 = '10' WHERE c10 <= c10;
UPDATE tA SET c10 = '10' WHERE c10 >= c10;
UPDATE tA SET c10 = '10' WHERE c10 LIKE c10;
UPDATE tA SET c10 = '10' WHERE c10 NOT LIKE c10;
UPDATE tA SET c10 = '10' WHERE c10 IS NULL;
UPDATE tA SET c10 = '10' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '11' WHERE c10 = c11;
UPDATE tA SET c10 = '11' WHERE c10 <> c11;
UPDATE tA SET c10 = '11' WHERE c10 < c11;
UPDATE tA SET c10 = '11' WHERE c10 > c11;
UPDATE tA SET c10 = '11' WHERE c10 <= c11;
UPDATE tA SET c10 = '11' WHERE c10 >= c11;
UPDATE tA SET c10 = '11' WHERE c10 LIKE c11;
UPDATE tA SET c10 = '11' WHERE c10 NOT LIKE c11;
UPDATE tA SET c10 = '11' WHERE c10 IS NULL;
UPDATE tA SET c10 = '11' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '12' WHERE c10 = c12;
UPDATE tA SET c10 = '12' WHERE c10 <> c12;
UPDATE tA SET c10 = '12' WHERE c10 < c12;
UPDATE tA SET c10 = '12' WHERE c10 > c12;
UPDATE tA SET c10 = '12' WHERE c10 <= c12;
UPDATE tA SET c10 = '12' WHERE c10 >= c12;
UPDATE tA SET c10 = '12' WHERE c10 LIKE c12;
UPDATE tA SET c10 = '12' WHERE c10 NOT LIKE c12;
UPDATE tA SET c10 = '12' WHERE c10 IS NULL;
UPDATE tA SET c10 = '12' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;

UPDATE tA SET c10 = '13' WHERE c10 = c13;
UPDATE tA SET c10 = '13' WHERE c10 <> c13;
UPDATE tA SET c10 = '13' WHERE c10 < c13;
UPDATE tA SET c10 = '13' WHERE c10 > c13;
UPDATE tA SET c10 = '13' WHERE c10 <= c13;
UPDATE tA SET c10 = '13' WHERE c10 >= c13;
UPDATE tA SET c10 = '13' WHERE c10 LIKE c13;
UPDATE tA SET c10 = '13' WHERE c10 NOT LIKE c13;
UPDATE tA SET c10 = '13' WHERE c10 IS NULL;
UPDATE tA SET c10 = '13' WHERE c10 IS NOT NULL;
	SELECT c10 FROM tA ORDER BY c10;




UPDATE tA SET c11 = '1' WHERE c11 = c1;
UPDATE tA SET c11 = '1' WHERE c11 <> c1;
UPDATE tA SET c11 = '1' WHERE c11 < c1;
UPDATE tA SET c11 = '1' WHERE c11 > c1;
UPDATE tA SET c11 = '1' WHERE c11 <= c1;
UPDATE tA SET c11 = '1' WHERE c11 >= c1;
UPDATE tA SET c11 = '1' WHERE c11 LIKE c1;
UPDATE tA SET c11 = '1' WHERE c11 NOT LIKE c1;
UPDATE tA SET c11 = '1' WHERE c11 IS NULL;
UPDATE tA SET c11 = '1' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '2' WHERE c11 = c2;
UPDATE tA SET c11 = '2' WHERE c11 <> c2;
UPDATE tA SET c11 = '2' WHERE c11 < c2;
UPDATE tA SET c11 = '2' WHERE c11 > c2;
UPDATE tA SET c11 = '2' WHERE c11 <= c2;
UPDATE tA SET c11 = '2' WHERE c11 >= c2;
UPDATE tA SET c11 = '2' WHERE c11 LIKE c2;
UPDATE tA SET c11 = '2' WHERE c11 NOT LIKE c2;
UPDATE tA SET c11 = '2' WHERE c11 IS NULL;
UPDATE tA SET c11 = '2' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '3' WHERE c11 = c3;
UPDATE tA SET c11 = '3' WHERE c11 <> c3;
UPDATE tA SET c11 = '3' WHERE c11 < c3;
UPDATE tA SET c11 = '3' WHERE c11 > c3;
UPDATE tA SET c11 = '3' WHERE c11 <= c3;
UPDATE tA SET c11 = '3' WHERE c11 >= c3;
UPDATE tA SET c11 = '3' WHERE c11 LIKE c3;
UPDATE tA SET c11 = '3' WHERE c11 NOT LIKE c3;
UPDATE tA SET c11 = '3' WHERE c11 IS NULL;
UPDATE tA SET c11 = '3' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '4' WHERE c11 = c4;
UPDATE tA SET c11 = '4' WHERE c11 <> c4;
UPDATE tA SET c11 = '4' WHERE c11 < c4;
UPDATE tA SET c11 = '4' WHERE c11 > c4;
UPDATE tA SET c11 = '4' WHERE c11 <= c4;
UPDATE tA SET c11 = '4' WHERE c11 >= c4;
UPDATE tA SET c11 = '4' WHERE c11 LIKE c4;
UPDATE tA SET c11 = '4' WHERE c11 NOT LIKE c4;
UPDATE tA SET c11 = '4' WHERE c11 IS NULL;
UPDATE tA SET c11 = '4' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '5' WHERE c11 = c5;
UPDATE tA SET c11 = '5' WHERE c11 <> c5;
UPDATE tA SET c11 = '5' WHERE c11 < c5;
UPDATE tA SET c11 = '5' WHERE c11 > c5;
UPDATE tA SET c11 = '5' WHERE c11 <= c5;
UPDATE tA SET c11 = '5' WHERE c11 >= c5;
UPDATE tA SET c11 = '5' WHERE c11 LIKE c5;
UPDATE tA SET c11 = '5' WHERE c11 NOT LIKE c5;
UPDATE tA SET c11 = '5' WHERE c11 IS NULL;
UPDATE tA SET c11 = '5' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '6' WHERE c11 = c6;
UPDATE tA SET c11 = '6' WHERE c11 <> c6;
UPDATE tA SET c11 = '6' WHERE c11 < c6;
UPDATE tA SET c11 = '6' WHERE c11 > c6;
UPDATE tA SET c11 = '6' WHERE c11 <= c6;
UPDATE tA SET c11 = '6' WHERE c11 >= c6;
UPDATE tA SET c11 = '6' WHERE c11 LIKE c6;
UPDATE tA SET c11 = '6' WHERE c11 NOT LIKE c6;
UPDATE tA SET c11 = '6' WHERE c11 IS NULL;
UPDATE tA SET c11 = '6' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '7' WHERE c11 = c7;
UPDATE tA SET c11 = '7' WHERE c11 <> c7;
UPDATE tA SET c11 = '7' WHERE c11 < c7;
UPDATE tA SET c11 = '7' WHERE c11 > c7;
UPDATE tA SET c11 = '7' WHERE c11 <= c7;
UPDATE tA SET c11 = '7' WHERE c11 >= c7;
UPDATE tA SET c11 = '7' WHERE c11 LIKE c7;
UPDATE tA SET c11 = '7' WHERE c11 NOT LIKE c7;
UPDATE tA SET c11 = '7' WHERE c11 IS NULL;
UPDATE tA SET c11 = '7' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '8' WHERE c11 = c8;
UPDATE tA SET c11 = '8' WHERE c11 <> c8;
UPDATE tA SET c11 = '8' WHERE c11 < c8;
UPDATE tA SET c11 = '8' WHERE c11 > c8;
UPDATE tA SET c11 = '8' WHERE c11 <= c8;
UPDATE tA SET c11 = '8' WHERE c11 >= c8;
UPDATE tA SET c11 = '8' WHERE c11 LIKE c8;
UPDATE tA SET c11 = '8' WHERE c11 NOT LIKE c8;
UPDATE tA SET c11 = '8' WHERE c11 IS NULL;
UPDATE tA SET c11 = '8' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '9' WHERE c11 = c9;
	SELECT c11 FROM tA ORDER BY c11;
UPDATE tA SET c11 = '9' WHERE c11 <> c9;
UPDATE tA SET c11 = '9' WHERE c11 < c9;
UPDATE tA SET c11 = '9' WHERE c11 > c9;
UPDATE tA SET c11 = '9' WHERE c11 <= c9;
UPDATE tA SET c11 = '9' WHERE c11 >= c9;
UPDATE tA SET c11 = '9' WHERE c11 LIKE c9;
UPDATE tA SET c11 = '9' WHERE c11 NOT LIKE c9;
UPDATE tA SET c11 = '9' WHERE c11 IS NULL;
UPDATE tA SET c11 = '9' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '10' WHERE c11 = c10;
UPDATE tA SET c11 = '10' WHERE c11 <> c10;
UPDATE tA SET c11 = '10' WHERE c11 < c10;
UPDATE tA SET c11 = '10' WHERE c11 > c10;
UPDATE tA SET c11 = '10' WHERE c11 <= c10;
UPDATE tA SET c11 = '10' WHERE c11 >= c10;
UPDATE tA SET c11 = '10' WHERE c11 LIKE c10;
UPDATE tA SET c11 = '10' WHERE c11 NOT LIKE c10;
UPDATE tA SET c11 = '10' WHERE c11 IS NULL;
UPDATE tA SET c11 = '10' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '11' WHERE c11 = c11;
UPDATE tA SET c11 = '11' WHERE c11 <> c11;
UPDATE tA SET c11 = '11' WHERE c11 < c11;
UPDATE tA SET c11 = '11' WHERE c11 > c11;
UPDATE tA SET c11 = '11' WHERE c11 <= c11;
UPDATE tA SET c11 = '11' WHERE c11 >= c11;
UPDATE tA SET c11 = '11' WHERE c11 LIKE c11;
UPDATE tA SET c11 = '11' WHERE c11 NOT LIKE c11;
UPDATE tA SET c11 = '11' WHERE c11 IS NULL;
UPDATE tA SET c11 = '11' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '12' WHERE c11 = c12;
UPDATE tA SET c11 = '12' WHERE c11 <> c12;
UPDATE tA SET c11 = '12' WHERE c11 < c12;
UPDATE tA SET c11 = '12' WHERE c11 > c12;
UPDATE tA SET c11 = '12' WHERE c11 <= c12;
UPDATE tA SET c11 = '12' WHERE c11 >= c12;
UPDATE tA SET c11 = '12' WHERE c11 LIKE c12;
UPDATE tA SET c11 = '12' WHERE c11 NOT LIKE c12;
UPDATE tA SET c11 = '12' WHERE c11 IS NULL;
UPDATE tA SET c11 = '12' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;

UPDATE tA SET c11 = '13' WHERE c11 = c13;
UPDATE tA SET c11 = '13' WHERE c11 <> c13;
UPDATE tA SET c11 = '13' WHERE c11 < c13;
UPDATE tA SET c11 = '13' WHERE c11 > c13;
UPDATE tA SET c11 = '13' WHERE c11 <= c13;
UPDATE tA SET c11 = '13' WHERE c11 >= c13;
UPDATE tA SET c11 = '13' WHERE c11 LIKE c13;
UPDATE tA SET c11 = '13' WHERE c11 NOT LIKE c13;
UPDATE tA SET c11 = '13' WHERE c11 IS NULL;
UPDATE tA SET c11 = '13' WHERE c11 IS NOT NULL;
	SELECT c11 FROM tA ORDER BY c11;



UPDATE tA SET c12 = '01.01.1901' WHERE c12 = c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 <> c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 < c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 > c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 <= c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 >= c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 LIKE c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 NOT LIKE c1;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1901' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1902' WHERE c12 = c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 <> c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 < c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 > c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 <= c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 >= c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 LIKE c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 NOT LIKE c2;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1902' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1903' WHERE c12 = c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 <> c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 < c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 > c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 <= c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 >= c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 LIKE c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 NOT LIKE c3;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1903' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1904' WHERE c12 = c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 <> c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 < c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 > c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 <= c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 >= c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 LIKE c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 NOT LIKE c4;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1904' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1905' WHERE c12 = c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 <> c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 < c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 > c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 <= c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 >= c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 LIKE c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 NOT LIKE c5;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1905' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1906' WHERE c12 = c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 <> c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 < c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 > c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 <= c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 >= c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 LIKE c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 NOT LIKE c6;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1906' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1907' WHERE c12 = c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 <> c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 < c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 > c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 <= c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 >= c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 LIKE c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 NOT LIKE c7;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1907' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1908' WHERE c12 = c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 <> c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 < c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 > c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 <= c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 >= c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 LIKE c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 NOT LIKE c8;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1908' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1909' WHERE c12 = c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 <> c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 < c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 > c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 <= c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 >= c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 LIKE c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 NOT LIKE c9;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1909' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1910' WHERE c12 = c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 <> c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 < c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 > c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 <= c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 >= c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 LIKE c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 NOT LIKE c10;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1910' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1911' WHERE c12 = c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 <> c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 < c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 > c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 <= c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 >= c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 LIKE c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 NOT LIKE c11;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1911' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1912' WHERE c12 = c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 <> c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 < c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 > c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 <= c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 >= c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 LIKE c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 NOT LIKE c12;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1912' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;

UPDATE tA SET c12 = '01.01.1913' WHERE c12 = c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 <> c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 < c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 > c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 <= c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 >= c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 LIKE c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 NOT LIKE c13;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 IS NULL;
UPDATE tA SET c12 = '01.01.1913' WHERE c12 IS NOT NULL;
	SELECT c12 FROM tA ORDER BY c12;


UPDATE tA SET c13 = '00:00:01' WHERE c13 = c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 <> c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 < c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 > c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 <= c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 >= c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 LIKE c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 NOT LIKE c1;
UPDATE tA SET c13 = '00:00:01' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:01' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:02' WHERE c13 = c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 <> c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 < c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 > c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 <= c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 >= c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 LIKE c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 NOT LIKE c2;
UPDATE tA SET c13 = '00:00:02' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:02' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:03' WHERE c13 = c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 <> c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 < c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 > c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 <= c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 >= c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 LIKE c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 NOT LIKE c3;
UPDATE tA SET c13 = '00:00:03' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:03' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:04' WHERE c13 = c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 <> c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 < c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 > c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 <= c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 >= c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 LIKE c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 NOT LIKE c4;
UPDATE tA SET c13 = '00:00:04' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:04' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:05' WHERE c13 = c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 <> c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 < c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 > c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 <= c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 >= c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 LIKE c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 NOT LIKE c5;
UPDATE tA SET c13 = '00:00:05' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:05' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:06' WHERE c13 = c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 <> c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 < c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 > c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 <= c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 >= c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 LIKE c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 NOT LIKE c6;
UPDATE tA SET c13 = '00:00:06' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:06' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:07' WHERE c13 = c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 <> c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 < c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 > c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 <= c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 >= c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 LIKE c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 NOT LIKE c7;
UPDATE tA SET c13 = '00:00:07' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:07' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:08' WHERE c13 = c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 <> c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 < c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 > c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 <= c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 >= c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 LIKE c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 NOT LIKE c8;
UPDATE tA SET c13 = '00:00:08' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:08' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:09' WHERE c13 = c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 <> c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 < c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 > c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 <= c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 >= c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 LIKE c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 NOT LIKE c9;
UPDATE tA SET c13 = '00:00:09' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:09' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:10' WHERE c13 = c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 <> c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 < c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 > c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 <= c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 >= c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 LIKE c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 NOT LIKE c10;
UPDATE tA SET c13 = '00:00:10' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:10' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:11' WHERE c13 = c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 <> c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 < c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 > c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 <= c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 >= c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 LIKE c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 NOT LIKE c11;
UPDATE tA SET c13 = '00:00:11' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:11' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:12' WHERE c13 = c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 <> c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 < c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 > c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 <= c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 >= c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 LIKE c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 NOT LIKE c12;
UPDATE tA SET c13 = '00:00:12' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:12' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;

UPDATE tA SET c13 = '00:00:13' WHERE c13 = c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 <> c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 < c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 > c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 <= c13;
	SELECT c13 FROM tA ORDER BY c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 >= c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 LIKE c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 NOT LIKE c13;
UPDATE tA SET c13 = '00:00:13' WHERE c13 IS NULL;
UPDATE tA SET c13 = '00:00:13' WHERE c13 IS NOT NULL;
	SELECT c13 FROM tA ORDER BY c13;
