-- ----------------- FILE: SMALLINT4.SQL  -----------------
-- -                                                      - 
-- -        CHECK ALL ERROR IN "DELETE" STATEMENT         -
-- -                                                      -
-- --------------------------------------------------------
--

-- ------------------  PERFORMANCE TEST  ------------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4PT001  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "STAFF" TABLE  
-- UDB2 RESULT = SUCC

DELETE FROM STAFF;

     
-- --------------------------------------------------------
-- -----------------------  4PT002  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "PROJ" TABLE  
-- UDB2 RESULT = SUCC

DELETE FROM PROJ;


-- --------------------------------------------------------
-- -----------------------  4PT003  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "WORKS" TABLE 
-- UDB2 RESULT = SUCC

DELETE FROM WORKS;


-- --------------------------------------------------------
-- -----------------------  4PT004  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "TMP1" TABLE 
-- UDB2 RESULT = SUCC

DELETE FROM TMP1;


-- --------------------------------------------------------
-- -----------------------  4PT005  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "TMP2" TABLE 
-- UDB2 RESULT = SUCC

DELETE FROM TMP2;




-- --------------------------------------------------------
-- ------------  SYNTAX ERROR TEST (SPELLING)  ------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4SP001  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "DELETE"
-- UDB2 RESULT = 42601

DELECT FROM TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4SP002  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "FROM"
-- UDB2 RESULT = 42601

DELETE FORM TMP4 WHERE PERCENTAGE = 1;




-- --------------------------------------------------------
-- -----  SYNTAX ERROR TEST (EXTRA OR MISSING WORD)  ------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4EW001  -----------------------
-- --------------------------------------------------------
-- WORD "DELETE" IS MISSING
-- UDB2 RESULT = 42601

FROM TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW002  -----------------------
-- --------------------------------------------------------
-- WORD "FROM" IS MISSING
-- UDB2 RESULT = 42601

DELETE TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW003  -----------------------
-- --------------------------------------------------------
-- TABLE NAME IS MISSING
-- UDB2 RESULT = 42601

DELETE FROM WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW004  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "DELETE"
-- UDB2 RESULT = 42601

FAILED DELETE FROM TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW005  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "FROM"
-- UDB2 RESULT = 42601

DELETE FAILED FROM TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW006  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF TABLE NAME
-- UDB2 RESULT = 42704

DELETE FROM FAILED TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4EW007  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" AFTER TABLE NAME
-- UDB2 RESULT = SUCC, SUCC
-- DB2E RESULT = 42601, SUCC

DELETE FROM TMP4 FAILED WHERE PERCENTAGE = 1;
INSERT INTO TMP4 VALUES(1, 'A');



-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (CASE SENSITIVE)  ---------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4CS001  -----------------------
-- --------------------------------------------------------
-- CHECK IF "DELETE" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DeLeTe FROM TMP4 WHERE PERCENTAGE = 1;
INSERT INTO TMP4 VALUES(1, 'A');


-- --------------------------------------------------------
-- -----------------------  4CS002  -----------------------
-- --------------------------------------------------------
-- CHECK IF "FROM" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DELETE FrOm TMP5;


-- --------------------------------------------------------
-- -----------------------  4CS003  -----------------------
-- --------------------------------------------------------
-- CHECK IF TABLE NAME IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DELETE FROM TmP6;




-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (WRONG COMMAND)  ----------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4WC001  -----------------------
-- --------------------------------------------------------
-- REPLACE "DELETE FROM" WITH "CREATE TABLE"
-- UDB2 RESULT = 42601

CREATE TABLE TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4WC002  -----------------------
-- --------------------------------------------------------
-- REPLACE "DELETE FROM" WITH "INSERT"
-- UDB2 RESULT = 42601

INSERT INTO TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4WC003  -----------------------
-- --------------------------------------------------------
-- REPLACE "DELETE FROM" WITH "SELECT"
-- UDB2 RESULT = 42601

SELECT TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4WC004  -----------------------
-- --------------------------------------------------------
-- REPLACE "DELETE FROM" WITH "UPDATE"
-- UDB2 RESULT = 42601

UPDATE TMP4 WHERE PERCENTAGE = 1;


-- --------------------------------------------------------
-- -----------------------  4WC005  -----------------------
-- --------------------------------------------------------
-- REPLACE "DELETE FROM" WITH "DROP"
-- UDB2 RESULT = 42601

DROP TABLE TMP4 WHERE PERCENTAGE = 1;




-- --------------------------------------------------------
-- -----------------  SEMATIC ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4ST001  -----------------------
-- --------------------------------------------------------
-- DELETE UNKNOWN TABLE NAME
-- UDB2 RESULT = 42704

DELETE FROM ST401;


-- --------------------------------------------------------
-- -----------------------  4ST002  -----------------------
-- --------------------------------------------------------
-- DELETE AN EMPTY ROW
-- UDB2 RESULT = 02000

DELETE FROM TMP4 WHERE PERCENTAGE = 1;
DELETE FROM TMP4 WHERE PERCENTAGE = 1;
INSERT INTO TMP4 VALUES(1, 'A');




-- ----------------  RUN-TIME ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  4RT001  -----------------------
-- --------------------------------------------------------
-- TO BE DETERMINED



-- --------------------------------------------------------
-- ------------------  LIMITATION TEST  -------------------
-- --------------------------------------------------------
--
-- NUMBER OF CHARACTERS ALLOWED IN A TABLE NAME, 
-- PLEASE REFER TO ERR001.SQL
--
-- NUMBER OF CHARACTERS ALLOWED IN A SEARCH STATEMENT, 
-- PLEASE REFER TO ERR003.SQL
-- 

SELECT * FROM STAFF;
SELECT * FROM PROJ;
SELECT * FROM WORKS;

SELECT * FROM TMP4;
SELECT * FROM TMP5;
SELECT * FROM TMP6;
