-- ----------------- FILE: SMALLINT5.SQL  -----------------
-- -                                                      - 
-- -         CHECK ALL ERROR IN "UPDATE" STATEMENT        -
-- -                                                      -
-- --------------------------------------------------------
--

-- ------------------  PERFORMANCE TEST  ------------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5PT001  -----------------------
-- --------------------------------------------------------
-- UPDATE VALUE INTO "STAFF SET" TABLE  
-- UDB2 RESULT = SUCC

UPDATE STAFF SET Grade = 12; 
SELECT * FROM STAFF;

UPDATE STAFF SET Grade = 10 WHERE EmpNum = 'E2';
SELECT * FROM STAFF;
 
UPDATE STAFF SET Grade = 13 WHERE EmpName = 'Carmen';
SELECT * FROM STAFF;

UPDATE STAFF SET Grade = 13 WHERE City LIKE '%kro%';
SELECT * FROM STAFF;
     

-- --------------------------------------------------------
-- -----------------------  5PT002  -----------------------
-- --------------------------------------------------------
-- UPDATE VALUE INTO "PROJ SET" TABLE  
-- UDB2 RESULT = SUCC

UPDATE PROJ SET City = 'TOKYO' WHERE Budge < 15000;
SELECT * FROM PROJ;

UPDATE PROJ SET City = 'Deale' WHERE PNum LIKE '%1';
SELECT * FROM PROJ;

UPDATE PROJ SET City = 'Vienna' WHERE PName = 'IRM';
SELECT * FROM PROJ;




-- --------------------------------------------------------
-- ------------  SYNTAX ERROR TEST (SPELLING)  ------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5SP001  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "UPDATE"
-- UDB2 RESULT = 42601

UPDAT TMP4 SET Description = '5SP001';


-- --------------------------------------------------------
-- -----------------------  5SP002  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "INTO"
-- UDB2 RESULT = 42601

UPDATE TMP4 ST Description = '5SP002';


-- --------------------------------------------------------
-- -----  SYNTAX ERROR TEST (EXTRA OR MISSING WORD)  ------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5EW001  -----------------------
-- --------------------------------------------------------
-- WORD "UPDATE" IS MISSING
-- UDB2 RESULT = 42601

TMP4 SET Description = '5EW001';


-- --------------------------------------------------------
-- -----------------------  5EW002  -----------------------
-- --------------------------------------------------------
-- WORD "SET" IS MISSING
-- UDB2 RESULT = 42601

UPDATE TMP4 Description = '5EW002';


-- --------------------------------------------------------
-- -----------------------  5EW003  -----------------------
-- --------------------------------------------------------
-- TABLE NAME IS MISSING
-- UDB2 RESULT = 42601

UPDATE SET Description = '5EW003';


-- --------------------------------------------------------
-- -----------------------  5EW004  -----------------------
-- --------------------------------------------------------
-- ONE COLUMN NAME IS MISSING 
-- UDB2 RESULT = 42601

UPDATE TMP4 SET = '5EW004';
UPDATE TMP4 SET '5EW004';

-- --------------------------------------------------------
-- -----------------------  5EW005  -----------------------
-- --------------------------------------------------------
-- ONE VALUE EXPRESSION IS MISSING
-- UDB2 RESULT = 42601

UPDATE TMP4 SET Description =;
UPDATE TMP4 SET Description;


-- --------------------------------------------------------
-- -----------------------  5EW006  -----------------------
-- --------------------------------------------------------
-- BOTH COLUMN NAME AND VALUE EXPRESSION ARE MISSING
-- UDB2 RESULT = 42601

UPDATE TMP4 SET;


-- --------------------------------------------------------
-- -----------------------  5EW007  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "UPDATE"
-- UDB2 RESULT = 42601

FAILED UPDATE TMP4 SET Description = '5EW007';


-- --------------------------------------------------------
-- -----------------------  5EW008  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF TABLE NAME
-- UDB2 RESULT = 42704

UPDATE FAILED TMP4 SET Description = '5EW008';


-- --------------------------------------------------------
-- -----------------------  5EW009  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "SET"
-- UDB2 RESULT = SUCC
-- DB2E RESULT = 42601

-- UPDATE TMP4 FAILED SET Description = '5EW009';
-- ayc20000519

-- --------------------------------------------------------
-- -----------------------  5EW010  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF COLUMN NAME
-- UDB2 RESULT = 42601

UPDATE TMP4 SET FAILED Description = '5EW010';


-- --------------------------------------------------------
-- -----------------------  5EW011  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF = OPERATOR
-- UDB2 RESULT = 42601

UPDATE TMP4 SET Description FAILED = '5EW011';


-- --------------------------------------------------------
-- -----------------------  5EW012  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF VALUE EXPRESSION
-- UDB2 RESULT = 42601

UPDATE TMP4 SET Description = FAILED '5EW012';


-- --------------------------------------------------------
-- -----------------------  5EW013  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" AFTER VALUE EXPRESSION
-- UDB2 RESULT = 42601

UPDATE TMP4 SET Description = '5EW013' FAILED;




-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (CASE SENSITIVE)  ---------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5CS001  -----------------------
-- --------------------------------------------------------
-- CHECK IF "UPDATE" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

UpDaTe TMP4 SET Description = '5CS001' WHERE Percentage = 1;



-- --------------------------------------------------------
-- -----------------------  5CS002  -----------------------
-- --------------------------------------------------------
-- CHECK IF "SET" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

UPDATE TMP4 SeT Description = '5CS002' WHERE Percentage = 2;


-- --------------------------------------------------------
-- -----------------------  5CS003  -----------------------
-- --------------------------------------------------------
-- CHECK IF TABLE NAME IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

UPDATE TmP4 SET Description = '5CS003' WHERE Percentage = 3;


-- --------------------------------------------------------
-- -----------------------  5CS004  -----------------------
-- --------------------------------------------------------
-- CHECK IF COLUMN NAME IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

UPDATE TMP4 SET dESCRIPTION = '5CS004' WHERE Percentage = 4;


-- --------------------------------------------------------
-- -----------------------  5CS005  -----------------------
-- --------------------------------------------------------
-- CHECK IF VALUE EXPRESSION IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

UPDATE TMP4 SET Description = '5cs005' WHERE Percentage = 5;
SELECT * FROM TMP4;

UPDATE TMP4 SET Description = '5CS005' WHERE Percentage = 5;
SELECT * FROM TMP4;


-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (WRONG COMMAND)  ----------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5WC001  -----------------------
-- --------------------------------------------------------
-- REPLACE "UPDATE" WITH "CREATE TABLE"
-- UDB2 RESULT = 42601

CREATE TABLE TMP4 Description = '5WC001';


-- --------------------------------------------------------
-- -----------------------  5WC002  -----------------------
-- --------------------------------------------------------
-- REPLACE "UPDATE" WITH "INSERT"
-- UDB2 RESULT = 42601

INSERT TMP4 SET Description = '5WC002';


-- --------------------------------------------------------
-- -----------------------  5WC003  -----------------------
-- --------------------------------------------------------
-- REPLACE "UPDATE" WITH "SELECT"
-- UDB2 RESULT = 42601

SELECT TMP4 SET Description = '5WC003';



-- --------------------------------------------------------
-- -----------------------  5WC004  -----------------------
-- --------------------------------------------------------
-- REPLACE "UPDATE" WITH "DELETE"
-- UDB2 RESULT = 42601

DELETE TMP4 SET Description = '5WC004';


-- --------------------------------------------------------
-- -----------------------  5WC005  -----------------------
-- --------------------------------------------------------
-- REPLACE "UPDATE" WITH "DROP"
-- UDB2 RESULT = 42601

DROP TMP4 SET Description = '5WC005';




-- --------------------------------------------------------
-- -----------------  SEMATIC ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5ST001  -----------------------
-- --------------------------------------------------------
-- UPDATE UNKNOWN TABLE NAME
-- UDB2 RESULT = 42704

UPDATE TMP5 SET ID = '5ST001';


-- --------------------------------------------------------
-- -----------------------  5ST002  -----------------------
-- --------------------------------------------------------
-- UPDATE UNKNOWN COLUMN NAME
-- UDB2 RESULT = 42703

UPDATE TMP4 SET SUPERSUNDAY = '5ST002';


-- --------------------------------------------------------
-- -----------------------  5ST003  -----------------------
-- --------------------------------------------------------
-- PASS VARCHAR WHEN SMALLINT IS THE INTENDED PARAMETER
-- UDB2 RESULT = 42821

UPDATE TMP4 SET PERCENTAGE = '1';


-- --------------------------------------------------------
-- -----------------------  5ST004  -----------------------
-- --------------------------------------------------------
-- PASS SMALLINT WHEN VARCHAR IS THE INTENDED PARAMETER
-- UDB2 RESULT = 42821

UPDATE TMP4 SET Description = 4;


-- --------------------------------------------------------
-- -----------------------  5ST005  -----------------------
-- --------------------------------------------------------
-- PASS VARCHAR WITHOUT QUOTATION MARK
-- UDB2 RESULT = 42604

UPDATE TMP4 SET Description = 5ST005;


-- --------------------------------------------------------
-- -----------------------  5ST006  -----------------------
-- --------------------------------------------------------
-- PASS 3 MORE VALUE THAN COLUMN NAME
-- UNSURE


-- --------------------------------------------------------
-- -----------------------  5ST007  -----------------------
-- --------------------------------------------------------
-- PASS MORE CHAR THAN VARCHAR CONSTRAINTED
-- UDB2 RESULT = 22001

UPDATE TMP4 SET Description = 'ExceedMoreThan25Characters';


-- --------------------------------------------------------
-- -----------------------  5ST008  -----------------------
-- --------------------------------------------------------
-- UPDATE TWO COLUMN NAME
-- UNSURE

-- --------------------------------------------------------
-- -----------------------  5ST009  -----------------------
-- --------------------------------------------------------
-- UPDATE NULL IN PRIMARY KEY 
-- UDB2 RESULT = 23502

CREATE TABLE TMP5
 (ID     SMALLINT NOT NULL PRIMARY KEY,
  CAL2   SMALLINT NOT NULL, 
  TITLE  VARCHAR(25));

INSERT INTO TMP5 VALUES(0, 100, '5ST010');
INSERT INTO TMP5 VALUES(1, 101, '5ST010');
UPDATE TMP5 SET ID = NULL WHERE CAL2 = 100;

SELECT * FROM TMP5;


-- --------------------------------------------------------
-- -----------------------  5ST010  -----------------------
-- --------------------------------------------------------
-- UPDATE '' IN PRIMARY KEY
-- UDB2 RESULT = SUCC

CREATE TABLE TMP6
 (ID     VARCHAR(5) NOT NULL PRIMARY KEY,
  CAL2   VARCHAR(5) NOT NULL, 
  TITLE  VARCHAR(25));

INSERT INTO TMP6 VALUES('0', '100', '5ST010');
INSERT INTO TMP6 VALUES('1', '101', '5ST010');
UPDATE TMP6 SET ID = '' WHERE CAL2 = '100';


SELECT * FROM TMP6;


-- --------------------------------------------------------
-- -----------------------  5ST011  -----------------------
-- --------------------------------------------------------
-- UPDATE NOTHING IN PRIMARY KEY
-- UDB2 RESULT = 42601

UPDATE TMP5 SET ID =  WHERE CAL2 = 101;
UPDATE TMP6 SET ID =  WHERE CAL2 = '101';

SELECT * FROM TMP5;
SELECT * FROM TMP6;

-- --------------------------------------------------------
-- -----------------------  5ST012  -----------------------
-- --------------------------------------------------------
-- UPDATE IDENTICAL "PRIMARY KEY"
-- UDB2 RESULT = 23505

INSERT INTO TMP6 VALUES('2', '102', '5ST012');
UPDATE TMP6 SET ID = '1' WHERE CAL2 = '102';

SELECT * FROM TMP6;


-- --------------------------------------------------------
-- -----------------------  5ST013  -----------------------
-- --------------------------------------------------------
-- UPDATE IDENTICAL "NOT NULL PRIMARY KEY"
-- UDB2 RESULT = 23505

INSERT INTO TMP5 VALUES(2, 102, '5ST013');
UPDATE TMP5 SET ID = 1  WHERE CAL2 = 102;

SELECT * FROM TMP5;

-- --------------------------------------------------------
-- -----------------------  5ST014  -----------------------
-- --------------------------------------------------------
-- UPDATE NULL IN NOT NULL COLUMN 
-- UDB2 RESULT = 23502

UPDATE TMP5 SET CAL2 = NULL WHERE ID = 2;
UPDATE TMP6 SET CAL2 = NULL WHERE ID = '2';

SELECT * FROM TMP5;
SELECT * FROM TMP6;


-- --------------------------------------------------------
-- -----------------------  5ST015  -----------------------
-- --------------------------------------------------------
-- UPDATE '' IN NULL COLUMN
-- UDB2 RESULT = SUCC

UPDATE TMP6 SET CAL2 = '' WHERE ID = '2';

SELECT * FROM TMP6;

-- --------------------------------------------------------
-- -----------------------  5ST016  -----------------------
-- --------------------------------------------------------
-- UPDATE NOTHING IN NOT NULL COLUMN
-- UDB2 RESULT = 42601

UPDATE TMP5 SET CAL2 =  WHERE ID = 0;
UPDATE TMP6 SET CAL2 =  WHERE ID = '0';

SELECT * FROM TMP5;
SELECT * FROM TMP6;

-- --------------------------------------------------------
-- -----------------------  5ST017  -----------------------
-- --------------------------------------------------------
-- UPDATE IDENTICAL VALUE IN NOT NULL COLUMN 
-- UDB2 RESULT = SUCC

INSERT INTO TMP5 VALUES(5, 105, '5ST017');
UPDATE TMP5 SET CAL2 = 105 WHERE ID = 5;

INSERT INTO TMP5 VALUES(6, 105, '5ST017');
UPDATE TMP5 SET CAL2 = 105 WHERE ID = 6;

INSERT INTO TMP6 VALUES('5', '105', '5ST017');
UPDATE TMP6 SET CAL2 = '105' WHERE ID = '5';

INSERT INTO TMP6 VALUES('6', '105', '5ST017');
UPDATE TMP6 SET CAL2 = '105' WHERE ID = '6';

SELECT * FROM TMP5;
SELECT * FROM TMP6;



-- ----------------  RUN-TIME ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5RT001  -----------------------
-- --------------------------------------------------------
-- TO BE DETERMINED



-- --------------------------------------------------------
-- ------------------  LIMITATION TEST  -------------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  5LT001  -----------------------
-- --------------------------------------------------------
-- UPDATE MORE THAN 20 VALUES IN SET CLAUSES



-- --------------------------------------------------------
-- CHECKING RESULT


SELECT * FROM STAFF;
SELECT * FROM PROJ;
SELECT * FROM WORKS;

SELECT * FROM TMP4;
SELECT * FROM TMP5;
SELECT * FROM TMP6;
