-- ----------------- FILE: SMALLINT6.SQL  -----------------
-- -                                                      - 
-- -       CHECK ALL ERROR IN "DROP TABLE" STATEMENT      -
-- -                                                      -
-- --------------------------------------------------------
--

-- ------------------  PERFORMANCE TEST  ------------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6PT001  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "STAFF" TABLE  
-- UDB2 RESULT = SUCC

DROP TABLE STAFF;



-- --------------------------------------------------------
-- -----------------------  6PT002  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "PROJ" TABLE  
-- UDB2 RESULT = SUCC

DROP TABLE PROJ;


-- --------------------------------------------------------
-- -----------------------  6PT003  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "WORKS" TABLE 
-- UDB2 RESULT = SUCC

DROP TABLE WORKS;


-- --------------------------------------------------------
-- -----------------------  6PT004  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "TMP1" TABLE 
-- UDB2 RESULT = SUCC

DROP TABLE TMP1;


-- --------------------------------------------------------
-- -----------------------  6PT005  -----------------------
-- --------------------------------------------------------
-- DELETE VALUES IN "TMP2" TABLE 
-- UDB2 RESULT = SUCC

DROP TABLE TMP2;




-- --------------------------------------------------------
-- ------------  SYNTAX ERROR TEST (SPELLING)  ------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6SP001  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "DROP"
-- UDB2 RESULT = 42601

DOP TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6SP002  -----------------------
-- --------------------------------------------------------
-- SPELLING ERROR IN "TABLE"
-- UDB2 RESULT = 42601

DROP ABLE TMP4;




-- --------------------------------------------------------
-- -----  SYNTAX ERROR TEST (EXTRA OR MISSING WORD)  ------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6EW001  -----------------------
-- --------------------------------------------------------
-- WORD "DELETE" IS MISSING
-- UDB2 RESULT = 42601

TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6EW002  -----------------------
-- --------------------------------------------------------
-- WORD "FROM" IS MISSING
-- UDB2 RESULT = 42601

DROP TMP4;


-- --------------------------------------------------------
-- -----------------------  6EW003  -----------------------
-- --------------------------------------------------------
-- TABLE NAME IS MISSING
-- UDB2 RESULT = 42601

DROP TABLE;


-- --------------------------------------------------------
-- -----------------------  6EW004  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "DROP"
-- UDB2 RESULT = 42601

FAILED DROP TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6EW005  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF "TABLE"
-- UDB2 RESULT = 42601

DROP FAILED TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6EW006  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" IN FRONT OF TABLE NAME
-- UDB2 RESULT = 42601

DROP TABLE FAILED TMP4;


-- --------------------------------------------------------
-- -----------------------  6EW007  -----------------------
-- --------------------------------------------------------
-- EXTRA WORD "FAILED" AFTER TABLE NAME
-- UDB2 RESULT = 42601

DROP TABLE TMP4 FAILED;



-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (CASE SENSITIVE)  ---------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6CS001  -----------------------
-- --------------------------------------------------------
-- CHECK IF "DROP" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DrOp TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6CS002  -----------------------
-- --------------------------------------------------------
-- CHECK IF "TABLE" IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DROP TaBlE TMP5;


-- --------------------------------------------------------
-- -----------------------  6CS003  -----------------------
-- --------------------------------------------------------
-- CHECK IF TABLE NAME IS CASE SENSITIVE
-- UDB2 RESULT = SUCC

DROP TABLE TmP6;




-- --------------------------------------------------------
-- ---------  SYNTAX ERROR TEST (WRONG COMMAND)  ----------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6WC001  -----------------------
-- --------------------------------------------------------
-- REPLACE "DROP TABLE" WITH "CREATE TABLE"
-- UDB2 RESULT = 42601

CREATE TABLE TMP4;


-- --------------------------------------------------------
-- -----------------------  6WC002  -----------------------
-- --------------------------------------------------------
-- REPLACE "DROP TABLE" WITH "INSERT"
-- UDB2 RESULT = 42704

INSERT INTO TMP4;


-- --------------------------------------------------------
-- -----------------------  6WC003  -----------------------
-- --------------------------------------------------------
-- REPLACE "DROP TABLE" WITH "SELECT"
-- UDB2 RESULT = 42601

SELECT TMP4;


-- --------------------------------------------------------
-- -----------------------  6WC004  -----------------------
-- --------------------------------------------------------
-- REPLACE "DROP TABLE" WITH "DELETE"
-- UDB2 RESULT = 42601

DELETE TMP4;


-- --------------------------------------------------------
-- -----------------------  6WC005  -----------------------
-- --------------------------------------------------------
-- REPLACE "DROP TABLE" WITH "UPDATE"
-- UDB2 RESULT = 42704

UPDATE TMP4;




-- --------------------------------------------------------
-- -----------------  SEMATIC ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6ST001  -----------------------
-- --------------------------------------------------------
-- DROP UNKNOWN TABLE
-- UDB2 RESULT = 42704

DROP TABLE ST601;



-- ----------------  RUN-TIME ERROR TEST  -----------------
-- --------------------------------------------------------
--
-- --------------------------------------------------------
-- -----------------------  6RT001  -----------------------
-- --------------------------------------------------------
-- TO BE DETERMINED



-- --------------------------------------------------------
-- ------------------  LIMITATION TEST  -------------------
-- --------------------------------------------------------
--
-- NUMBER OF CHARACTERS ALLOWED IN A TABLE NAME, 
-- PLEASE REFER TO ERR001.SQL
--

